/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!***************************************************************!*\
  !*** ./resources/assets/js/accounts/accounts_details_edit.js ***!
  \***************************************************************/


var tableName = '#accountsTbl';
$(document).on('submit', '#editForm', function (event) {
  event.preventDefault();
  var loadingButton = jQuery(this).find('#btnEditSave');
  loadingButton.button('loading');
  var id = $('#accountId').val();
  var url = accountUrl + '/' + +id;
  var data = {
    'formSelector': $(this),
    'url': url,
    'type': 'PUT',
    'tableSelector': tableName
  };
  editRecordWithFormData(data, loadingButton);
});

window.editRecordWithFormData = function (data, loadingButton) {
  var formData = data.formSelector === '' ? data.formData : $(data.formSelector).serialize();
  $.ajax({
    url: data.url,
    type: data.type,
    data: formData,
    success: function success(result) {
      if (result.success) {
        displaySuccessMessage(result.message);
        $('#EditModal').modal('hide');
        setTimeout(function () {
          window.location.reload();
        }, 3000);
      }
    },
    error: function error(result) {
      UnprocessableInputError(result);
    },
    complete: function complete() {
      loadingButton.button('reset');
    }
  });
};

$(document).on('click', '.edit-btn', function (event) {
  if (ajaxCallIsRunning) {
    return;
  }

  ajaxCallInProgress();
  var accountId = $(event.currentTarget).data('id');
  renderData(accountId);
});

window.renderData = function (id) {
  $.ajax({
    url: accountUrl + '/' + +id + '/edit',
    type: 'GET',
    success: function success(result) {
      if (result.success) {
        $('#accountId').val(result.data.id);
        $('#editName').val(result.data.name);
        $('#editDescription').val(result.data.description);

        if (result.data.status) {
          $('#editIsActive').val(1).prop('checked', true);
        }

        if (result.data.type == 1) {
          $('#editDebit').prop('checked', true);
        } else {
          $('#editCredit').prop('checked', true);
        }

        $('#EditModal').modal('show');
        ajaxCallCompleted();
      }
    },
    error: function error(result) {
      manageAjaxErrors(result);
    }
  });
};
/******/ })()
;