/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!********************************************************************!*\
  !*** ./resources/assets/js/advanced_payments/advanced_payments.js ***!
  \********************************************************************/


$(document).ready(function () {
  var tbl = $('#advancedPaymentsTable').DataTable({
    processing: true,
    serverSide: true,
    searchDelay: 500,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [5, 'desc'],
    ajax: {
      url: advancedPaymentUrl
    },
    columnDefs: [{
      'targets': [0],
      'width': '10%'
    }, {
      'targets': [4],
      'orderable': false,
      'className': 'text-center  text-nowrap',
      'width': '8%'
    }, {
      'targets': [3],
      'className': 'text-right'
    }, {
      'targets': [5],
      'visible': false
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        var showLink = advancedPaymentUrl + '/' + row.id;
        return '<a class="badge badge-light-info" href="' + showLink + '">' + row.receipt_no + '</a>';
      },
      name: 'receipt_no'
    }, {
      data: function data(row) {
        var showLink = patientUrl + '/' + row.patient.id;
        return "<div class=\"d-flex align-items-center\">\n                        <div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                            <a href=\"".concat(showLink, "\">\n                                <div class=\"\">\n                                    <img src=\"").concat(row.image_url, "\" alt=\"\"\n                                         class=\"user-img\">\n                                </div>\n                            </a>\n                        </div>\n                        <div class=\"d-flex flex-column\">\n                            <a href=\"").concat(showLink, "\" class=\"mb-1\">").concat(row.patient.user.full_name, "</a>\n                            <span>").concat(row.patient.user.email, "</span>\n                        </div>\n                    </div>");
      },
      name: 'patient.user.first_name'
    }, {
      data: function data(row) {
        return row;
      },
      render: function render(row) {
        if (row.date === null) {
          return 'N/A';
        }

        return "<div class=\"badge badge-light\">\n                                <div>".concat(moment(row.date).format('Do MMM, Y'), "</div>\n                            </div>");
      },
      name: 'date'
    }, {
      data: function data(row) {
        return !isEmpty(row.amount) ? '<p class="cur-margin">' + getCurrentCurrencyClass() + ' ' + addCommas(row.amount) + '</p>' : 'N/A';
      },
      name: 'amount'
    }, {
      data: function data(row) {
        var url = advancedPaymentUrl + '/' + row.id;
        var data = [{
          'id': row.id
        }];
        return prepareTemplateRender('.modalActionTemplate', data);
      },
      name: 'patient.user.last_name'
    }, {
      data: 'created_at',
      name: 'created_at'
    }]
  });
  handleSearchDatatable(tbl);
});
$(document).on('click', '.delete-btn', function (event) {
  var advancedPaymentId = $(event.currentTarget).data('id');
  deleteItem(advancedPaymentUrl + '/' + advancedPaymentId, '#advancedPaymentsTable', 'Advanced Payment');
});
/******/ })()
;