/******/ (() => { // webpackBootstrap
var __webpack_exports__ = {};
/*!**************************************************************!*\
  !*** ./resources/assets/js/advanced_payments/create-edit.js ***!
  \**************************************************************/
$(document).ready(function () {
  'use strict';

  $('#date').flatpickr({
    defaultDate: new Date(),
    dateFormat: 'Y-m-d'
  });
  $('#editDate').flatpickr({
    dateFormat: 'Y-m-d'
  });
  $('#patientId').select2({
    dropdownParent: $('#addModal')
  });
  $('#editPatientId').select2({
    dropdownParent: $('#editModal')
  });
  $('#addModal, #editModal').on('shown.bs.modal', function () {
    $('#patientId, #editPatientId:first').focus();
  });
});
$(document).on('submit', '#addNewForm', function (event) {
  event.preventDefault();
  var loadingButton = jQuery(this).find('#btnSave');
  loadingButton.button('loading');
  $.ajax({
    url: advancePaymentCreateUrl,
    type: 'POST',
    data: $(this).serialize(),
    success: function success(result) {
      if (result.success) {
        displaySuccessMessage(result.message);
        $('#addModal').modal('hide');
        $('#advancedPaymentsTable').DataTable().ajax.reload(null, false);
      }
    },
    error: function error(result) {
      printErrorMessage('#validationErrorsBox', result);
    },
    complete: function complete() {
      loadingButton.button('reset');
    }
  });
});
$(document).on('click', '.edit-btn', function (event) {
  if (ajaxCallIsRunning) {
    return;
  }

  ajaxCallInProgress();
  var advancedPaymentId = $(event.currentTarget).data('id');
  renderData(advancedPaymentId);
});

window.renderData = function (id) {
  $.ajax({
    url: advancedPaymentUrl + '/' + id + '/edit',
    type: 'GET',
    success: function success(result) {
      if (result.success) {
        $('#advancePaymentId').val(result.data.id);
        $('#editPatientId').val(result.data.patient_id).trigger('change.select2');
        $('#editReceiptNo').val(result.data.receipt_no);
        $('#editAmount').val(result.data.amount);
        $('.price-input').trigger('input');
        $('#editDate').val(format(result.data.date, 'YYYY-MM-DD'));
        $('#editModal').modal('show');
        ajaxCallCompleted();
      }
    },
    error: function error(result) {
      manageAjaxErrors(result);
    }
  });
};

$(document).on('submit', '#editForm', function (event) {
  event.preventDefault();
  var loadingButton = jQuery(this).find('#btnEditSave');
  loadingButton.button('loading');
  var id = $('#advancePaymentId').val();
  $.ajax({
    url: advancedPaymentUrl + '/' + id,
    type: 'patch',
    data: $(this).serialize(),
    success: function success(result) {
      if (result.success) {
        displaySuccessMessage(result.message);
        $('#editModal').modal('hide');
        $('#advancedPaymentsTable').DataTable().ajax.reload(null, false);
      }
    },
    error: function error(result) {
      manageAjaxErrors(result);
    },
    complete: function complete() {
      loadingButton.button('reset');
    }
  });
});
$('#addModal').on('hidden.bs.modal', function () {
  resetModalForm('#addNewForm', '#validationErrorsBox');
  $('#patientId').val('').trigger('change.select2');
});
$('#editModal').on('hidden.bs.modal', function () {
  resetModalForm('#editForm', '#editValidationErrorsBox');
});
/******/ })()
;