/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!***************************************************************!*\
  !*** ./resources/assets/js/ambulance_call/ambulance_calls.js ***!
  \***************************************************************/


$(document).ready(function () {
  var tableName = '#ambulanceCallsTbl';
  var tbl = $('#ambulanceCallsTbl').DataTable({
    processing: true,
    serverSide: true,
    searchDelay: 500,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [[6, 'desc']],
    ajax: {
      url: ambulanceCallUrl
    },
    columnDefs: [{
      'targets': [4],
      'className': 'text-right'
    }, {
      'targets': [5],
      'orderable': false,
      'className': 'text-center text-nowrap',
      'width': '15%'
    }, {
      'targets': [6],
      'visible': false
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        var showLink = patientUrl + '/' + row.patient.id;
        return "<div class=\"d-flex align-items-center\">\n                        <div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                        <a href=\"".concat(showLink, "\">\n                            <div>\n                                <img src=\"").concat(row.image_url, "\" alt=\"\"\n                                     class=\"user-img\">\n                            </div>\n                        </a>\n                        </div>\n                        <div class=\"d-flex flex-column\">\n                            <a href=\"").concat(showLink, "\"\n                               class=\"mb-1\">").concat(row.patient.user.full_name, "</a>\n                            <span>").concat(row.patient.user.email, "</span>\n                        </div>\n                    </div>");
      },
      name: 'patient.user.first_name'
    }, {
      data: 'ambulance.vehicle_model',
      name: 'ambulance.vehicle_model'
    }, {
      data: 'driver_name',
      name: 'driver_name'
    }, {
      data: function data(row) {
        return row;
      },
      render: function render(row) {
        if (row.date === null) {
          return 'N/A';
        }

        return "<div class=\"badge badge-light\">\n                                <div>".concat(moment(row.date).format('Do MMM, Y'), "</div>\n                            </div>");
      },
      name: 'date'
    }, {
      data: function data(row) {
        return !isEmpty(row.amount) ? '<p class="cur-margin">' + getCurrentCurrencyClass() + ' ' + addCommas(row.amount) + '</p>' : 'N/A';
      },
      name: 'amount'
    }, {
      data: function data(row) {
        var url = ambulanceCallUrl + '/' + row.id;
        var data = [{
          'id': row.id,
          'url': url + '/edit',
          'viewUrl': url
        }];
        return prepareTemplateRender('#ambulanceCallsActionTemplate', data);
      },
      name: 'id'
    }, {
      data: 'created_at',
      name: 'created_at'
    }]
  });
  handleSearchDatatable(tbl);
});
$(document).on('click', '.delete-btn', function (event) {
  var ambulanceCallId = $(event.currentTarget).data('id');
  deleteItem(ambulanceCallUrl + '/' + ambulanceCallId, '#ambulanceCallsTbl', 'Ambulance Call');
});
/******/ })()
;