/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!******************************************************!*\
  !*** ./resources/assets/js/bed_assign/bed_assign.js ***!
  \******************************************************/


$(document).ready(function () {
  var tableName = '#bedAssignsTbl';
  var tbl = $('#bedAssignsTbl').DataTable({
    processing: true,
    serverSide: true,
    searchDelay: 500,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [7, 'desc'],
    ajax: {
      url: bedAssignUrl,
      data: function data(_data) {
        _data.status = $('#filter_status').find('option:selected').val();
      }
    },
    columnDefs: [{
      'targets': [2],
      'width': '10%'
    }, {
      'targets': [5],
      'orderable': false,
      'width': '8%'
    }, {
      'targets': [6],
      'orderable': false,
      'className': 'text-center text-nowrap',
      'width': '15%'
    }, {
      'targets': [7],
      'visible': false
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        var showLink = caseUrl + '/' + row.case_from_bed_assign.id;
        return '<a href="' + showLink + '" class="badge badge-light-info">' + row.case_id + '</a>';
      },
      name: 'case_id'
    }, {
      data: function data(row) {
        var showLink = patientUrl + '/' + row.patient.id;
        return "<div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                        <a href=\"".concat(showLink, "\">\n                            <div>\n                                <img src=\"").concat(row.image_url, "\" alt=\"Emma Smith\"\n                                    class=\"user-img\">\n                            </div>\n                        </a>\n                    </div>\n                    <div class=\"d-inline-block align-top\">\n                        <a href=\"").concat(showLink, "\"\n                           class=\"text-primary-800 mb-1 d-block\">").concat(row.patient.user.full_name, "</a>\n                        <span class=\"d-block\">").concat(row.patient.user.email, "</span>\n                    </div>");
      },
      name: 'patient.user.first_name'
    }, {
      data: function data(row) {
        var showLink = bedUrl + '/' + row.bed.id;
        return '<a href="' + showLink + '">' + row.bed.name + '</a>';
      },
      name: 'bed.name'
    }, {
      data: function data(row) {
        return row;
      },
      render: function render(row) {
        if (row.assign_date === null) {
          return 'N/A';
        }

        return "<div class=\"badge badge-light\">\n                                <div>".concat(moment(row.assign_date).format('Do MMM, Y'), "</div>\n                            </div>");
      },
      name: 'assign_date'
    }, {
      data: function data(row) {
        if (row.discharge_date === null) {
          return 'N/A';
        }

        return moment(row.discharge_date).format('Do MMM, Y h:mm A');
      },
      name: 'discharge_date'
    }, {
      data: function data(row) {
        var checked = row.status == 0 ? '' : 'checked';
        var data = [{
          'id': row.id,
          'checked': checked
        }];
        return prepareTemplateRender('#bedAssignStatusTemplate', data);
      },
      name: 'status'
    }, {
      data: function data(row) {
        var url = bedAssignUrl + '/' + row.id;
        var data = [{
          'id': row.id,
          'url': url + '/edit',
          'viewUrl': url
        }];
        return prepareTemplateRender('#bedAssignActionTemplate', data);
      },
      name: 'patient.user.last_name'
    }, {
      data: 'created_at',
      name: 'created_at'
    }],
    'fnInitComplete': function fnInitComplete() {
      $('#filter_status').change(function () {
        $(tableName).DataTable().ajax.reload(null, true);
      });
    }
  });
  handleSearchDatatable(tbl);
  $(document).on('click', '.delete-btn', function (event) {
    var bedAssignId = $(event.currentTarget).data('id');
    deleteItem(bedAssignUrl + '/' + bedAssignId, '#bedAssignsTbl', 'Bed Assign');
  });
  $(document).on('change', '.status', function (event) {
    var bedAssignId = $(event.currentTarget).data('id');
    updateStatus(bedAssignId);
  });
  $(document).on('click', '#resetFilter', function () {
    $('#filter_status').val(2).trigger('change');
  });

  window.updateStatus = function (id) {
    $.ajax({
      url: bedAssignUrl + '/' + +id + '/active-deactive',
      method: 'post',
      cache: false,
      success: function success(result) {
        if (result.success) {
          displaySuccessMessage(result.message);
          tbl.ajax.reload(null, false);
        }
      }
    });
  };
});
/******/ })()
;