/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!******************************************!*\
  !*** ./resources/assets/js/beds/beds.js ***!
  \******************************************/


$(document).ready(function () {
  var tableName = '#bedsTbl';
  var tbl = $('#bedsTbl').DataTable({
    processing: true,
    serverSide: true,
    searchDelay: 500,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [6, 'desc'],
    ajax: {
      url: bedUrl,
      data: function data(_data) {
        _data.status = $('#filter_status').find('option:selected').val();
      }
    },
    columnDefs: [{
      'targets': [0],
      'width': '10%'
    }, {
      'targets': [3],
      'width': '10%',
      'className': 'text-right'
    }, {
      'targets': [4],
      'className': 'text-center',
      'width': '8%'
    }, {
      'targets': [5],
      'orderable': false,
      'className': 'text-center text-nowrap',
      'width': '8%'
    }, {
      'targets': [6],
      'visible': false
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        var showLink = bedUrl + '/' + row.id;
        return '<a href="' + showLink + '" class="badge badge-light-info">' + row.bed_id + '</a>';
      },
      name: 'bed_id'
    }, {
      data: 'name',
      name: 'name'
    }, {
      data: function data(row) {
        var showLink = bedTypesUrl + '/' + row.bed_type.id;
        return '<a href="' + showLink + '">' + row.bed_type.title + '</a>';
      },
      name: 'bedType.title'
    }, {
      data: function data(row) {
        return !isEmpty(row.charge) ? '<p class="cur-margin">' + getCurrentCurrencyClass() + ' ' + addCommas(row.charge) + '</p>' : 'N/A';
      },
      name: 'charge'
    }, {
      data: function data(row) {
        if (row.is_available) {
          return "<span class=\"badge badge-light-primary\">Yes</span>";
        }

        return "<span class=\"badge badge-light-danger\">No</span>";
      },
      name: 'is_available'
    }, {
      data: function data(row) {
        var data = [{
          'id': row.id
        }];
        return prepareTemplateRender('.modalActionTemplate', data);
      },
      name: 'id'
    }, {
      data: 'created_at',
      name: 'created_at'
    }],
    'fnInitComplete': function fnInitComplete() {
      $('#filter_status').change(function () {
        $(tableName).DataTable().ajax.reload(null, true);
      });
    }
  });
  handleSearchDatatable(tbl);
});
$(document).on('click', '.delete-btn', function (event) {
  var bedId = $(event.currentTarget).data('id');
  deleteItem(bedUrl + '/' + bedId, '#bedsTbl', 'Bed');
}); // status activation deactivation change event

$(document).on('change', '.status', function (event) {
  var bedId = $(event.currentTarget).data('id');
  activeDeActiveStatus(bedId);
});
$(document).on('click', '#resetFilter', function () {
  $('#filter_status').val(2).trigger('change');
}); // activate de-activate Status

window.activeDeActiveStatus = function (id) {
  $.ajax({
    url: bedUrl + '/' + id + '/active-deactive',
    method: 'post',
    cache: false,
    success: function success(result) {
      if (result.success) {
        tbl.ajax.reload(null, false);
      }
    }
  });
};
/******/ })()
;