/******/ (() => { // webpackBootstrap
var __webpack_exports__ = {};
/*!***********************************************!*\
  !*** ./resources/assets/js/beds/bulk_beds.js ***!
  \***********************************************/
$(document).ready(function () {
  'use strict';

  var dropdownToSelect2 = function dropdownToSelect2(selector) {
    $(selector).select2({
      placeholder: 'Select Bed Type',
      width: '100%'
    });
  };

  dropdownToSelect2('.bedType');
  $(document).on('click', '#addItem', function () {
    var data = {
      'bedTypes': bedTypes,
      'uniqueId': uniqueId
    };
    var bulkBedItemHtml = prepareTemplateRender('#bulkBedActionTemplate', data);
    $('.bulk-beds-item-container').append(bulkBedItemHtml);
    dropdownToSelect2('.bedType');
    uniqueId++;
    resetBulkBedItemIndex();
  });

  var resetBulkBedItemIndex = function resetBulkBedItemIndex() {
    var index = 1;
    $('.bulk-beds-item-container>tr').each(function () {
      $(this).find('.item-number').text(index);
      index++;
    });

    if (index - 1 == 0) {
      var data = {
        'services': bedTypes,
        'uniqueId': uniqueId
      };
      var bulkBedItemHtml = prepareTemplateRender('#bulkBedActionTemplate', data);
      $('.bulk-beds-item-container').append(bulkBedItemHtml);
      dropdownToSelect2('.bedType');
      uniqueId++;
    }
  };

  $(document).on('click', '.delete-invoice-item', function () {
    $(this).parents('tr').remove();
    resetBulkBedItemIndex();
  });
  $(document).on('submit', '#bulkBedsForm', function (event) {
    event.preventDefault();
    screenLock();
    var formData = new FormData($(this)[0]);
    $.ajax({
      url: bulkBedSaveUrl,
      type: 'POST',
      dataType: 'json',
      data: formData,
      processData: false,
      contentType: false,
      success: function success(result) {
        displaySuccessMessage(result.message);
        window.location.href = bedUrl;
      },
      error: function error(result) {
        printErrorMessage('#validationErrorsBox', result);
      },
      complete: function complete() {
        screenUnLock();
      }
    });
  });
});
/******/ })()
;