/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!**********************************************!*\
  !*** ./resources/assets/js/brands/brands.js ***!
  \**********************************************/


$(document).ready(function () {
  var tbl = $('#brandsTable').DataTable({
    processing: true,
    serverSide: true,
    searchDelay: 500,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [[4, 'desc']],
    ajax: {
      url: brandUrl
    },
    columnDefs: [{
      'targets': [3],
      'orderable': false,
      'className': 'text-center text-nowrap',
      'width': '10%'
    }, {
      'targets': [4],
      'visible': false
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        var showLink = brandUrl + '/' + row.id;
        return '<a href="' + showLink + '">' + row.name + '</a>';
      },
      name: 'name'
    }, {
      data: function data(row) {
        return isEmpty(row.email) ? 'N/A' : row.email;
      },
      name: 'email'
    }, {
      data: function data(row) {
        return isEmpty(row.phone) ? 'N/A' : row.phone;
      },
      name: 'phone'
    }, {
      data: function data(row) {
        var url = brandUrl + '/' + row.id;
        var data = [{
          'id': row.id,
          'url': url + '/edit'
        }];
        return prepareTemplateRender('.pageActionTemplate', data);
      },
      name: 'id'
    }, {
      data: 'created_at',
      name: 'created_at'
    }]
  });
  handleSearchDatatable(tbl);
});
$(document).on('click', '.delete-btn', function (event) {
  var brandId = $(event.currentTarget).data('id');
  deleteItem(brandUrl + '/' + brandId, '#brandsTable', 'Medicine Brand');
});
/******/ })()
;