/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!***************************************************!*\
  !*** ./resources/assets/js/call_logs/call_log.js ***!
  \***************************************************/


$(document).ready(function () {
  var tableName = '#callLogTbl';
  var tbl = $('#callLogTbl').DataTable({
    processing: true,
    serverSide: true,
    searchDelay: 500,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [6, 'desc'],
    ajax: {
      url: callLogUrl,
      data: function data(_data) {
        _data.call_type = $('#callType').find('option:selected').val();
      }
    },
    columnDefs: [{
      'targets': [5],
      'orderable': false,
      'className': 'text-center text-nowrap',
      'width': '8%'
    }, {
      'targets': [6],
      'visible': false
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: 'name',
      name: 'name'
    }, {
      data: function data(row) {
        return isEmpty(row.phone) ? 'N/A' : row.phone;
      },
      name: 'phone'
    }, {
      data: function data(row) {
        return row;
      },
      render: function render(row) {
        if (row.date === null) {
          return 'N/A';
        }

        return "<div class=\"badge badge-light\">\n                                <div>".concat(moment(row.date).format('Do MMM, Y'), "</div>\n                            </div>");
      },
      name: 'date'
    }, {
      data: function data(row) {
        return row;
      },
      render: function render(row) {
        if (row.follow_up_date === null) {
          return 'N/A';
        }

        return "<div class=\"badge badge-light\">\n                                <div>".concat(moment(row.follow_up_date).format('Do MMM, Y'), "</div>\n                            </div>");
      },
      name: 'follow_up_date'
    }, {
      data: function data(row) {
        if (row.call_type == callTypeIncoming) {
          return '<span class="badge badge-light-info fs-7">incoming</span>';
        } else {
          return '<span class="badge badge-light-primary fs-7">outgoing</span>';
        }
      },
      name: 'call_type'
    }, {
      data: function data(row) {
        var url = callLogUrl + row.id;
        var data = [{
          'id': row.id,
          'url': url + '/edit'
        }];
        return prepareTemplateRender('.pageActionTemplate', data);
      },
      name: 'id'
    }, {
      data: 'created_at',
      name: 'created_at'
    }],
    'fnInitComplete': function fnInitComplete() {
      $('#callType').change(function () {
        $(tableName).DataTable().ajax.reload(null, true);
      });
    }
  });
  handleSearchDatatable(tbl);
});
$('#callType').select2();
$(document).on('click', '#resetFilter', function () {
  $('#callType').val(0).trigger('change');
});
$(document).on('click', '.delete-btn', function (event) {
  var callLogId = $(event.currentTarget).data('id');
  deleteItem(callLogUrl + callLogId, '#callLogTbl', 'Call Log');
});
/******/ })()
;