/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!************************************************************!*\
  !*** ./resources/assets/js/case_handlers/case_handlers.js ***!
  \************************************************************/


$(document).ready(function () {
  var tableName = '#caseHandlersTbl';
  var tbl = $('#caseHandlersTbl').DataTable({
    processing: true,
    serverSide: true,
    searchDelay: 500,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [[6, 'desc']],
    ajax: {
      url: caseHandlerUrl,
      data: function data(_data) {
        _data.status = $('#filter_status').find('option:selected').val();
      }
    },
    columnDefs: [{
      'targets': [4],
      'orderable': false
    }, {
      'targets': [5],
      'orderable': false,
      'className': 'text-center text-nowrap'
    }, {
      'targets': [6],
      'visible': false
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        var showLink = caseHandlerUrl + '/' + row.id;
        return "<div class=\"d-flex align-items-center\">\n                            <div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                                <a href=\"".concat(showLink, "\">\n                                    <div class=\"\">\n                                        <img src=\"").concat(row.image_url, "\" alt=\"\" class=\"user-img\">\n                                    </div>\n                                </a>\n                           </div>\n                           <div class=\"d-flex flex-column\">\n                                <a href=\"").concat(showLink, "\" class=\"mb-1\">").concat(row.user.full_name, "</a>\n                                <span>").concat(row.user.email, "</span>\n                            </div>\n                         </div>");
      },
      name: 'user.first_name'
    }, {
      data: 'user.phone',
      name: 'user.phone'
    }, {
      data: 'user.qualification',
      name: 'user.qualification'
    }, {
      data: function data(row) {
        return row;
      },
      render: function render(row) {
        if (row.user.dob === null) {
          return 'N/A';
        }

        return moment(row.user.dob).format('Do MMM, Y');
      },
      name: 'user.dob'
    }, {
      data: function data(row) {
        var checked = row.user.status == 0 ? '' : 'checked';
        var data = [{
          'id': row.id,
          'checked': checked
        }];
        return prepareTemplateRender('#caseHandlerStatusTemplate', data);
      },
      name: 'user.status'
    }, {
      data: function data(row) {
        var url = caseHandlerUrl + '/' + row.id;
        var data = [{
          'id': row.id,
          'url': url + '/edit'
        }];
        return prepareTemplateRender('.pageActionTemplate', data);
      },
      name: 'id'
    }, {
      data: 'created_at',
      name: 'created_at'
    }],
    'fnInitComplete': function fnInitComplete() {
      $('#filter_status').change(function () {
        $(tableName).DataTable().ajax.reload(null, true);
      });
    }
  });
  handleSearchDatatable(tbl);
  $(document).on('click', '.delete-btn', function (event) {
    var caseHandlerId = $(event.currentTarget).data('id');
    deleteItem(caseHandlerUrl + '/' + caseHandlerId, '#caseHandlersTbl', 'Case Handler');
  });
  $(document).on('change', '.status', function (event) {
    var caseHandlerId = $(event.currentTarget).data('id');
    updateStatus(caseHandlerId);
  });
  $(document).on('click', '#resetFilter', function () {
    $('#filter_status').val(2).trigger('change');
  });

  window.updateStatus = function (id) {
    $.ajax({
      url: caseHandlerUrl + '/' + id + '/active-deactive',
      method: 'post',
      cache: false,
      success: function success(result) {
        if (result.success) {
          displaySuccessMessage(result.message);
          tbl.ajax.reload(null, false);
        }
      }
    });
  };
});
/******/ })()
;