/******/ (() => { // webpackBootstrap
var __webpack_exports__ = {};
/*!**************************************************************!*\
  !*** ./resources/assets/js/charge_categories/create-edit.js ***!
  \**************************************************************/
$(document).ready(function () {
  'use strict';

  $('#chargeTypeId').select2({
    width: '100%',
    dropdownParent: $('#addModal')
  });
  $('#editChargeTypeId').select2({
    width: '100%',
    dropdownParent: $('#editModal')
  });
  $(document).on('submit', '#addNewForm', function (event) {
    event.preventDefault();
    var loadingButton = jQuery(this).find('#btnSave');
    loadingButton.button('loading');
    $.ajax({
      url: chargeCategoryCreateUrl,
      type: 'POST',
      data: $(this).serialize(),
      success: function success(result) {
        if (result.success) {
          displaySuccessMessage(result.message);
          $('#addModal').modal('hide');
          $('#chargeCategoriesTbl').DataTable().ajax.reload(null, false);
        }
      },
      error: function error(result) {
        printErrorMessage('#validationErrorsBox', result);
      },
      complete: function complete() {
        loadingButton.button('reset');
      }
    });
  });
  $(document).on('click', '.edit-btn', function (event) {
    if (ajaxCallIsRunning) {
      return;
    }

    ajaxCallInProgress();
    var chargeTypeId = $(event.currentTarget).data('id');
    renderData(chargeTypeId);
  });

  window.renderData = function (id) {
    $.ajax({
      url: chargeCategoryUrl + '/' + id + '/edit',
      type: 'GET',
      success: function success(result) {
        if (result.success) {
          $('#chargeCategoryId').val(result.data.id);
          $('#editName').val(result.data.name);
          $('#editChargeTypeId').val(result.data.charge_type).trigger('change.select2');
          $('#editDescription').val(result.data.description);
          $('#editModal').modal('show');
          ajaxCallCompleted();
        }
      },
      error: function error(result) {
        manageAjaxErrors(result);
      }
    });
  };

  $(document).on('submit', '#editForm', function (event) {
    event.preventDefault();
    var loadingButton = jQuery(this).find('#btnEditSave');
    loadingButton.button('loading');
    var id = $('#chargeCategoryId').val();
    $.ajax({
      url: chargeCategoryUrl + '/' + id,
      type: 'patch',
      data: $(this).serialize(),
      success: function success(result) {
        if (result.success) {
          displaySuccessMessage(result.message);
          $('#editModal').modal('hide');
          $('#chargeCategoriesTbl').DataTable().ajax.reload(null, false);
        }
      },
      error: function error(result) {
        UnprocessableInputError(result);
      },
      complete: function complete() {
        loadingButton.button('reset');
      }
    });
  });
  $('#addModal').on('hidden.bs.modal', function () {
    resetModalForm('#addNewForm', '#validationErrorsBox');
    $('#chargeTypeId').val('').trigger('change.select2');
  });
  $('#editModal').on('hidden.bs.modal', function () {
    resetModalForm('#editForm', '#editValidationErrorsBox');
    $('#editChargeTypeId').val('').trigger('change.select2');
  });
});
/******/ })()
;