/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!***********************************************************!*\
  !*** ./resources/assets/js/custom/new-edit-modal-form.js ***!
  \***********************************************************/


window.newRecord = function (data, loadingButton) {
  var modalSelector = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : '#AddModal';
  var formData = data.formSelector === '' ? data.formData : new FormData($(data.formSelector)[0]);
  loadingButton.attr('disabled', true);
  $.ajax({
    url: data.url,
    type: data.type,
    dataType: 'json',
    data: formData,
    processData: false,
    contentType: false,
    success: function success(result) {
      if (result.success) {
        displaySuccessMessage(result.message);
        $(modalSelector).modal('hide');
        loadingButton.attr('disabled', false);
        $(data.tableSelector).DataTable().ajax.reload(null, false);
      }
    },
    error: function error(result) {
      loadingButton.attr('disabled', false);
      printErrorMessage('#validationErrorsBox', result);
    },
    complete: function complete() {
      loadingButton.button('reset');
    }
  });
};

window.editRecord = function (data, loadingButton) {
  var modalSelector = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : '#EditModal';
  var btnToDisabledSelector = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : '';
  loadingButton.attr('disabled', true);
  var formData = data.formSelector === '' ? data.formData : new FormData($(data.formSelector)[0]);
  $.ajax({
    url: data.url,
    type: data.type,
    data: formData,
    processData: false,
    contentType: false,
    success: function success(result) {
      if (result.success) {
        displaySuccessMessage(result.message);
        $(modalSelector).modal('hide');
        loadingButton.attr('disabled', false);
        $(data.tableSelector).DataTable().ajax.reload(null, false);
      }
    },
    error: function error(result) {
      loadingButton.attr('disabled', false);
      UnprocessableInputError(result);
    },
    complete: function complete() {
      loadingButton.button('reset');
      $(btnToDisabledSelector).attr('disabled', true);
    }
  });
};

window.editRecordWithForm = function (data, loadingButton) {
  var formData = data.formSelector === '' ? data.formData : $(data.formSelector).serialize();
  loadingButton.attr('disabled', true);
  $.ajax({
    url: data.url,
    type: data.type,
    data: formData,
    success: function success(result) {
      if (result.success) {
        displaySuccessMessage(result.message);
        $('#EditModal').modal('hide');
        loadingButton.attr('disabled', false);
        $(data.tableSelector).DataTable().ajax.reload(null, false);
      }
    },
    error: function error(result) {
      loadingButton.attr('disabled', false);
      UnprocessableInputError(result);
    },
    complete: function complete() {
      loadingButton.button('reset');
    }
  });
};
/******/ })()
;