/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!************************************************************!*\
  !*** ./resources/assets/js/death_reports/death_reports.js ***!
  \************************************************************/


$(document).ready(function () {
  var tbl = $('#deathReportsTbl').DataTable({
    processing: true,
    serverSide: true,
    searchDelay: 500,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [7, 'desc'],
    ajax: {
      url: deathReportUrl
    },
    columnDefs: [{
      'targets': [4],
      'orderable': false,
      'className': 'text-center text-nowrap',
      'width': '15%'
    }, {
      'targets': [5, 6],
      'visible': false
    }, {
      'targets': [7],
      'visible': false
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        var showLink = caseUrl + '/' + row.case_from_death_report.id;
        return '<a href="' + showLink + '" class="badge badge-light-info">' + row.case_id + '</a>';
      },
      name: 'case_id'
    }, {
      data: function data(row) {
        var showLink = patientUrl + '/' + row.patient.id;
        return "<div class=\"d-flex align-items-center\">\n                        <div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                        <a href=\"".concat(showLink, "\">\n                            <div>\n                                <img src=\"").concat(row.patientImageUrl, "\" alt=\"\"\n                                     class=\"user-img\">\n                            </div>\n                        </a>\n                        </div>\n                        <div class=\"d-flex flex-column\">\n                            <a href=\"").concat(showLink, "\"\n                               class=\"mb-1\">").concat(row.patient.user.full_name, "</a>\n                            <span>").concat(row.patient.user.email, "</span>\n                        </div>\n                    </div>");
      },
      name: 'patient.user.first_name'
    }, {
      data: function data(row) {
        var showLink = doctorUrl + '/' + row.doctor.id;
        return "<div class=\"d-flex align-items-center\">\n                        <div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                        <a href=\"".concat(showLink, "\">\n                            <div>\n                                <img src=\"").concat(row.doctorImageUrl, "\" alt=\"\"\n                                     class=\"user-img\">\n                            </div>\n                        </a>\n                        </div>\n                        <div class=\"d-flex flex-column\">\n                            <a href=\"").concat(showLink, "\"\n                               class=\"mb-1\">").concat(row.doctor.user.full_name, "</a>\n                            <span>").concat(row.doctor.user.email, "</span>\n                        </div>\n                    </div>");
      },
      name: 'doctor.user.first_name'
    }, {
      data: function data(row) {
        return row;
      },
      render: function render(row) {
        if (row.date === null) {
          return 'N/A';
        }

        return "<div class=\"badge badge-light\">\n                                <div class=\"mb-2\">".concat(moment(row.date).format('LT'), "</div>\n                                <div>").concat(moment(row.date).format('Do MMM, Y'), "</div>\n                            </div>");
      },
      name: 'date'
    }, {
      data: function data(row) {
        var url = deathReportUrl + '/' + row.id;
        var data = [{
          'id': row.id,
          'url': url + '/edit',
          'viewUrl': url
        }];
        return prepareTemplateRender('#deathReportActionTemplate', data);
      },
      name: 'id'
    }, {
      data: 'patient.user.last_name',
      name: 'patient.user.last_name'
    }, {
      data: 'doctor.user.last_name',
      name: 'doctor.user.last_name'
    }, {
      data: 'created_at',
      name: 'created_at'
    }]
  });
  handleSearchDatatable(tbl);
});
$(document).on('click', '.delete-btn', function (event) {
  var deathReportId = $(event.currentTarget).data('id');
  deleteItem(deathReportUrl + '/' + deathReportId, '#deathReportsTbl', 'Death Report');
});
/******/ })()
;