/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!************************************************!*\
  !*** ./resources/assets/js/doctors/doctors.js ***!
  \************************************************/


$(document).ready(function () {
  var tableName = '#doctorsTable';
  var tbl = $('#doctorsTable').DataTable({
    processing: true,
    serverSide: true,
    searchDelay: 500,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [5, 'desc'],
    ajax: {
      url: doctorUrl,
      data: function data(_data) {
        _data.status = $('#filter_status').find('option:selected').val();
      }
    },
    columnDefs: [{
      'targets': [3],
      'orderable': false,
      'width': '6%'
    }, {
      'targets': [4],
      'orderable': false,
      'className': 'text-center text-nowrap',
      'width': '10%'
    }, {
      'targets': [5],
      'visible': false
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        var showLink = doctorUrl + '/' + row.id;
        return "<div class=\"d-flex align-items-center\">\n                            <div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                                <a href=\"".concat(showLink, "\">\n                                    <div class=\"\">\n                                        <img src=\"").concat(row.image_url, "\" alt=\"\" class=\"user-img\">\n                                    </div>\n                                </a>\n                           </div>\n                           <div class=\"d-flex flex-column\">\n                                <a href=\"").concat(showLink, "\" class=\"mb-1\">").concat(row.user.full_name, "</a>\n                                <span>").concat(row.user.email, "</span>\n                            </div>\n                         </div>");
      },
      name: 'user.first_name'
    }, {
      data: 'specialist',
      name: 'specialist'
    }, {
      data: 'user.qualification',
      name: 'user.qualification'
    }, {
      data: function data(row) {
        var checked = row.user.status == 0 ? '' : 'checked';
        var data = [{
          'id': row.id,
          'checked': checked
        }];
        return prepareTemplateRender('#doctorStatusTemplate', data);
      },
      name: 'user.status'
    }, {
      data: function data(row) {
        var url = doctorUrl + '/' + row.id;
        var data = [{
          'id': row.id,
          'url': url + '/edit'
        }];
        return prepareTemplateRender('.pageActionTemplate', data);
      },
      name: 'id'
    }, {
      data: 'created_at',
      name: 'created_at'
    }],
    'fnInitComplete': function fnInitComplete() {
      $('#filter_status').change(function () {
        $(tableName).DataTable().ajax.reload(null, true);
      });
    }
  });
  handleSearchDatatable(tbl);
  $(document).on('click', '.delete-btn', function (event) {
    var doctorId = $(event.currentTarget).data('id');
    deleteItem(doctorUrl + '/' + doctorId, '#doctorsTable', 'Doctor');
  });
  $(document).on('change', '.status', function (event) {
    var doctorId = $(event.currentTarget).data('id');
    updateStatus(doctorId);
  });

  window.updateStatus = function (id) {
    $.ajax({
      url: doctorUrl + '/' + +id + '/active-deactive',
      method: 'post',
      cache: false,
      success: function success(result) {
        if (result.success) {
          displaySuccessMessage(result.message);
          tbl.ajax.reload(null, false);
        }
      }
    });
  };

  $(document).on('click', '#resetFilter', function () {
    $('#filter_status').val(2).trigger('change');
  });
});
/******/ })()
;