/******/ (() => { // webpackBootstrap
var __webpack_exports__ = {};
/*!**************************************************!*\
  !*** ./resources/assets/js/document/document.js ***!
  \**************************************************/
$(document).ready(function () {
  'use strict';

  var tableName = '#tblDocuments';
  var tbl = $(tableName).DataTable({
    processing: true,
    serverSide: true,
    searchDelay: 500,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [[4, 'desc']],
    ajax: {
      url: documentsUrl
    },
    columnDefs: [{
      'targets': [3],
      'orderable': false,
      'className': 'text-center text-nowrap',
      'width': '10%'
    }, {
      'targets': [1],
      'width': '28%'
    }, {
      'targets': [4],
      'visible': false
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        var imageUrl = '';

        if (row.media.length > 0) {
          if (row.media[0].mime_type === 'image/jpeg' || row.media[0].mime_type === 'image/png') {
            imageUrl = '<span class="svg-icon svg-icon-2x svg-icon-primary me-4">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<path opacity="0.3" d="M22 5V19C22 19.6 21.6 20 21 20H19.5L11.9 12.4C11.5 12 10.9 12 10.5 12.4L3 20C2.5 20 2 19.5 2 19V5C2 4.4 2.4 4 3 4H21C21.6 4 22 4.4 22 5ZM7.5 7C6.7 7 6 7.7 6 8.5C6 9.3 6.7 10 7.5 10C8.3 10 9 9.3 9 8.5C9 7.7 8.3 7 7.5 7Z" fill="black"></path>\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<path d="M19.1 10C18.7 9.60001 18.1 9.60001 17.7 10L10.7 17H2V19C2 19.6 2.4 20 3 20H21C21.6 20 22 19.6 22 19V12.9L19.1 10Z" fill="black"></path>\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</svg>\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</span>';
          } else {
            imageUrl = '<span class="svg-icon svg-icon-2x svg-icon-primary me-4">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<path opacity="0.3" d="M19 22H5C4.4 22 4 21.6 4 21V3C4 2.4 4.4 2 5 2H14L20 8V21C20 21.6 19.6 22 19 22Z" fill="black"></path>\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<path d="M15 8H20L14 2V7C14 7.6 14.4 8 15 8Z" fill="black"></path>\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</svg>\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</span>';
          }

          return "<div class=\"d-flex align-items-center\">\n                       ".concat(imageUrl, "\n                        <div class=\"d-flex flex-column\">\n                            <span>").concat(row.media[0].file_name, "</span>\n                        </div>\n                   </div>");
        }
      },
      name: 'media.file_name'
    }, {
      data: 'document_type.name',
      name: 'documentType.name'
    }, {
      data: function data(row) {
        var showLink = patientUrl + '/' + row.patient.id;
        return "<div class=\"d-flex align-items-center\">\n                        <div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                            <a href=\"".concat(showLink, "\">\n                                <div>\n                                    <img src=\"").concat(row.image_url, "\" alt=\"\"\n                                         class=\"user-img\">\n                                </div>\n                            </a>\n                        </div>\n                        <div class=\"d-flex flex-column\">\n                            <a href=\"").concat(showLink, "\" class=\"mb-1\">").concat(row.patient.user.full_name, "</a>\n                            <span>").concat(row.patient.user.email, "</span>\n                        </div>\n                   </div>");
      },
      name: 'patient.user.first_name'
    }, {
      data: function data(row) {
        var downloadLink = downloadDocumentUrl + '/' + row.id;
        var data = [{
          'id': row.id,
          'downloadLink': downloadLink,
          'mediaExits': !isEmpty(row.media[0])
        }];
        return prepareTemplateRender('#DocumentActionTemplate', data);
      },
      name: 'patient.user.last_name'
    }, {
      data: 'created_at',
      name: 'created_at'
    }]
  });
  handleSearchDatatable(tbl);
  $('#patientId, #documentTypeId').select2({
    width: '100%',
    dropdownParent: $('#addModal')
  });
  $('#editPatientId, #editDocumentTypeId').select2({
    width: '100%',
    dropdownParent: $('#EditModal')
  });
  $(document).on('click', '.delete-btn', function (event) {
    var id = $(event.currentTarget).data('id');
    deleteItem(documentsUrl + '/' + id, tableName, 'Document');
  });
  var filename;
  $('#documentImage').change(function () {
    filename = $(this).val();
  });
  $(document).on('submit', '#addNewForm', function (event) {
    event.preventDefault();

    if (filename == null || filename == '') {
      var message = 'Please select attachment';
      displayErrorMessage(message);
      return false;
    }

    if ($('#validationErrorsBox').text() !== '') {
      $('#documentImage').focus();
      return false;
    }

    var loadingButton = jQuery(this).find('#btnSave');
    loadingButton.button('loading');
    var data = {
      'formSelector': $(this),
      'url': documentsCreateUrl,
      'type': 'POST',
      'tableSelector': tableName
    };
    newRecord(data, loadingButton, '#addModal');
  });
  $(document).on('click', '.edit-btn', function (event) {
    if (ajaxCallIsRunning) {
      return;
    }

    ajaxCallInProgress();
    var documentId = $(event.currentTarget).data('id');
    renderData(documentId);
  });

  window.renderData = function (id) {
    $.ajax({
      url: documentsUrl + '/' + id + '/edit',
      type: 'GET',
      success: function success(result) {
        if (result.success) {
          var ext = result.data.document_url.split('.').pop().toLowerCase();

          if (ext == 'pdf') {
            $('#editPreviewImage').css('background-image', 'url("' + pdfDocumentImageUrl + '")');
          } else if (ext == 'docx' || ext == 'doc') {
            $('#editPreviewImage').css('background-image', 'url("' + docxDocumentImageUrl + '")');
          } else {
            $('#editPreviewImage').css('background-image', 'url("' + result.data.document_url + '")');
          }

          $('#editDocumentTypeId').val(result.data.document_type_id).trigger('change.select2');
          $('#editPatientId').val(result.data.patient_id).trigger('change.select2');
          $('#editTitle').val(result.data.title);
          isEmpty(result.data.document_url) ? $('#documentUrl').hide() : $('#documentUrl').attr('href', result.data.document_url);
          $('#documentId').val(result.data.id);
          $('#editNotes').val(result.data.notes);
          $('#EditModal').modal('show');
          ajaxCallCompleted();
        }
      },
      error: function error(result) {
        manageAjaxErrors(result);
      }
    });
  };

  $(document).on('submit', '#editForm', function (event) {
    event.preventDefault();
    var loadingButton = jQuery(this).find('#btnEditSave');
    loadingButton.button('loading');
    var id = $('#documentId').val();
    var url = documentsUrl + '/' + id + '/update';
    var data = {
      'formSelector': $(this),
      'url': url,
      'type': 'POST',
      'tableSelector': tableName
    };
    editRecord(data, loadingButton);
  });
  $('#addModal').on('hidden.bs.modal', function () {
    $('#documentTypeId').val(null).trigger('change');
    $('#patientId').val(null).trigger('change');
    $('#previewImage').css('background-image', 'url(' + defaultDocumentImageUrl + ')');
    filename = null;
    resetModalForm('#addNewForm', '#validationErrorsBox');
  });
  $('#editModal').on('hidden.bs.modal', function () {
    resetModalForm('#editForm', '#editDocumentValidationErrorsBox');
  });
});
$(document).on('change', '#documentImage', function () {
  var extension = isValidDocument($(this), '#validationErrorsBox');

  if (!isEmpty(extension) && extension != false) {
    $('#validationErrorsBox').html('').hide();
    displayDocument(this, '#previewImage', extension);
  }
});
$(document).on('change', '#editDocumentImage', function () {
  var extension = isValidDocument($(this), '#editDocumentValidationErrorsBox');

  if (!isEmpty(extension) && extension != false) {
    $('#editDocumentValidationErrorsBox').html('').hide();
    displayDocument(this, '#editPreviewImage', extension);
  }
});

window.isValidDocument = function (inputSelector, validationMessageSelector) {
  var ext = $(inputSelector).val().split('.').pop().toLowerCase();

  if ($.inArray(ext, ['png', 'jpg', 'jpeg', 'pdf', 'doc', 'docx']) == -1) {
    $(inputSelector).val('');
    $(validationMessageSelector).html('The document must be a file of type: jpeg, jpg, png, pdf, doc, docx.').show();
    setTimeout(function () {
      $(validationMessageSelector).slideUp(500);
    }, 5000);
    return false;
  }

  return ext;
};
/******/ })()
;