/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!********************************************************************!*\
  !*** ./resources/assets/js/document_type/doc_type-details-edit.js ***!
  \********************************************************************/


$(document).on('click', '.edit-btn', function (event) {
  if (ajaxCallIsRunning) {
    return;
  }

  ajaxCallInProgress();
  var docTypeId = $(event.currentTarget).data('id');
  renderData(docTypeId);
});

window.renderData = function (id) {
  $.ajax({
    url: docTypeUrl + '/' + id + '/edit',
    type: 'GET',
    success: function success(result) {
      if (result.success) {
        $('#docTypeId').val(result.data.id);
        $('#editName').val(result.data.name);
        $('#EditModal').modal('show');
        ajaxCallCompleted();
      }
    },
    error: function error(result) {
      manageAjaxErrors(result);
    }
  });
};

$(document).on('submit', '#editForm', function (event) {
  event.preventDefault();
  var loadingButton = jQuery(this).find('#btnEditSave');
  loadingButton.button('loading');
  var id = $('#docTypeId').val();
  var url = docTypeUrl + '/' + id;
  var data = {
    'formSelector': $(this),
    'url': url,
    'type': 'PUT'
  };
  editDocumentTypeRecordWithForm(data, loadingButton);
});

window.editDocumentTypeRecordWithForm = function (data, loadingButton) {
  var formData = data.formSelector === '' ? data.formData : $(data.formSelector).serialize();
  $.ajax({
    url: data.url,
    type: data.type,
    data: formData,
    success: function success(result) {
      if (result.success) {
        displaySuccessMessage(result.message);
        $('#EditModal').modal('hide');
        setTimeout(function () {
          window.location.reload();
        }, 3000);
      }
    },
    error: function error(result) {
      UnprocessableInputError(result);
    },
    complete: function complete() {
      loadingButton.button('reset');
    }
  });
};
/******/ })()
;