/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!*******************************************************!*\
  !*** ./resources/assets/js/document_type/doc_type.js ***!
  \*******************************************************/


$(document).ready(function () {
  var tableName = '#tblDocTypes';
  var tbl = $(tableName).DataTable({
    processing: true,
    serverSide: true,
    searchDelay: 500,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [2, 'desc'],
    ajax: {
      url: docTypeUrl
    },
    columnDefs: [{
      'targets': [1],
      'orderable': false,
      'className': 'text-center text-nowrap',
      'width': '10%'
    }, {
      'targets': [2],
      'visible': false
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        var showLink = docTypeUrl + '/' + row.id;
        return '<a href="' + showLink + '">' + row.name + '</a>';
      },
      name: 'name'
    }, {
      data: function data(row) {
        var data = [{
          'id': row.id
        }];
        return prepareTemplateRender('.modalActionTemplate', data);
      },
      name: 'id'
    }, {
      data: 'created_at',
      name: 'created_at'
    }]
  });
  handleSearchDatatable(tbl);
  $(document).on('click', '.delete-btn', function (event) {
    var id = $(event.currentTarget).data('id');
    deleteItem(docTypeUrl + '/' + id, tableName, 'Document Type');
  });
  $(document).on('submit', '#addNewForm', function (event) {
    event.preventDefault();
    var loadingButton = jQuery(this).find('#btnSave');
    loadingButton.button('loading');
    var data = {
      'formSelector': $(this),
      'url': docTypeCreateUrl,
      'type': 'POST',
      'tableSelector': tableName
    };
    newRecord(data, loadingButton);
  });
  $(document).on('click', '.edit-btn', function (event) {
    if (ajaxCallIsRunning) {
      return;
    }

    ajaxCallInProgress();
    var docTypeId = $(event.currentTarget).data('id');
    renderData(docTypeId);
  });

  window.renderData = function (id) {
    $.ajax({
      url: docTypeUrl + '/' + id + '/edit',
      type: 'GET',
      success: function success(result) {
        if (result.success) {
          $('#docTypeId').val(result.data.id);
          $('#editName').val(result.data.name);
          $('#EditModal').modal('show');
          ajaxCallCompleted();
        }
      },
      error: function error(result) {
        manageAjaxErrors(result);
      }
    });
  };

  $(document).on('submit', '#editForm', function (event) {
    event.preventDefault();
    var loadingButton = jQuery(this).find('#btnEditSave');
    loadingButton.button('loading');
    var id = $('#docTypeId').val();
    var url = docTypeUrl + '/' + id;
    var data = {
      'formSelector': $(this),
      'url': url,
      'type': 'PUT',
      'tableSelector': tableName
    };
    editRecordWithForm(data, loadingButton);
  });
});
/******/ })()
;