/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!*******************************************************!*\
  !*** ./resources/assets/js/employee/notice_boards.js ***!
  \*******************************************************/


$(document).ready(function () {
  var tbl = $('#employeeNoticeBoardsTable').DataTable({
    processing: true,
    serverSide: true,
    searchDelay: 500,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [[1, 'desc']],
    ajax: {
      url: noticeBoardUrl
    },
    columnDefs: [{
      'targets': [0, 1],
      'width': '50%'
    }, {
      'targets': [2],
      'orderable': false,
      'className': 'text-center text-nowrap',
      'width': '8%'
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        var showLink = noticeBoardShowUrl + '/' + row.id;
        return row.title;
      },
      name: 'title'
    }, {
      data: function data(row) {
        return row;
      },
      render: function render(row) {
        if (row.created_at === null) {
          return 'N/A';
        }

        return "<div class=\"badge badge-light\">\n                                <div class=\"mb-2\">".concat(moment(row.created_at).utc().format('LT'), "</div>\n                                <div>").concat(moment(row.created_at).utc().format('Do MMM, Y'), "</div>\n                            </div>");
      },
      name: 'created_at'
    }, {
      data: function data(row) {
        var data = [{
          'id': row.id
        }];
        return prepareTemplateRender('#noticeBoardActionTemplate', data);
      },
      name: 'id'
    }]
  });
  handleSearchDatatable(tbl);
});
$(document).on('click', '.view-btn', function (event) {
  event.preventDefault();
  var noticeBoardId = $(event.currentTarget).data('id');
  $.ajax({
    url: noticeBoardUrl + '/' + noticeBoardId,
    type: 'GET',
    success: function success(result) {
      if (result.success) {
        $('#showTitle').html('');
        $('#showDescription').html('');
        $('#showTitle').append(result.data.title);
        $('#showDescription').append(result.data.description);
        $('#showModal').appendTo('body').modal('show');
      }
    },
    error: function error(result) {
      manageAjaxErrors(result);
    }
  });
});
/******/ })()
;