/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!***********************************************************!*\
  !*** ./resources/assets/js/employee/patient_admission.js ***!
  \***********************************************************/


$(document).ready(function () {
  var patientAdmissionsTable = '#patientAdmissionsTbl';
  var tbl = $(patientAdmissionsTable).DataTable({
    processing: true,
    serverSide: true,
    searchDelay: 500,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [[2, 'desc']],
    ajax: {
      url: patientAdmissionsUrl,
      data: function data(_data) {
        _data.status = $('#filter_status').find('option:selected').val();
      }
    },
    columnDefs: [{
      'targets': [0],
      'width': '10%'
    }, {
      'targets': [8],
      'width': '5%',
      'orderable': false,
      'className': 'text-center'
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        var showLink = patientAdmissionsUrl + '/' + row.id;
        return '<a href="' + showLink + '" class="badge badge-light-info">' + row.patient_admission_id + '</a>';
      },
      name: 'patient_admission_id'
    }, {
      data: function data(row) {
        var showLink = patientUrl + '/' + row.patient.id;
        return "<div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                        <a href=\"".concat(showLink, "\">\n                            <div>\n                                <img src=\"").concat(row.patientImageUrl, "\" alt=\"\"\n                                    class=\"user-img\">\n                            </div>\n                        </a>\n                    </div>\n                    <div class=\"d-inline-block align-top\">\n                        <a href=\"").concat(showLink, "\"\n                           class=\"text-primary-800 mb-1 d-block\">").concat(row.patient.user.full_name, "</a>\n                        <span class=\"d-block\">").concat(row.patient.user.email, "</span>\n                    </div>");
      },
      name: 'patient.user.first_name'
    }, {
      data: function data(row) {
        return "<div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                        <a>\n                            <div>\n                                <img src=\"".concat(row.doctorImageUrl, "\" alt=\"\" class=\"user-img\">\n                            </div>\n                        </a>\n                    </div>\n                    <div class=\"d-inline-block align-top\">\n                        <a class=\"text-dark fw-bold mb-1 d-block\">").concat(row.doctor.user.full_name, "</a>\n                        <span class=\"d-block\">").concat(row.doctor.user.email, "</span>\n                    </div>");
      },
      name: 'doctor.user.first_name'
    }, {
      data: function data(row) {
        return row;
      },
      render: function render(row) {
        if (row.admission_date === null) {
          return 'N/A';
        }

        return "<div class=\"badge badge-light\">\n                                <div class=\"mb-2\">".concat(moment(row.admission_date).utc().format('LT'), "</div>\n                                <div>").concat(moment(row.admission_date).utc().format('Do MMM, Y'), "</div>\n                            </div>");
      },
      name: 'admission_date'
    }, {
      data: function data(row) {
        return row;
      },
      render: function render(row) {
        if (row.discharge_date === null) {
          return 'N/A';
        }

        return moment(row.discharge_date).format('Do MMM, Y h:mm A');
      },
      name: 'discharge_date'
    }, {
      data: function data(row) {
        if (isEmpty(row.package_id)) {
          return 'N/A';
        }

        var showLink = packageUrl + '/' + row["package"].id;
        return '<a href="' + showLink + '">' + row["package"].name + '</a>';
      },
      name: 'package.name'
    }, {
      data: function data(row) {
        if (isEmpty(row.insurance_id)) {
          return 'N/A';
        }

        var showLink = insuranceUrl + '/' + row.insurance.id;
        return '<a href="' + showLink + '">' + row.insurance.name + '</a>';
      },
      name: 'insurance.name'
    }, {
      data: function data(row) {
        return isEmpty(row.policy_no) ? 'N/A' : row.policy_no;
      },
      name: 'policy_no'
    }, {
      data: function data(row) {
        if (row.status == 1) return "<span class=\"badge badge-light-success\">Active</span>";else return "<span class=\"badge badge-light-danger\">Deactive</span>";
      },
      name: 'status'
    }],
    'fnInitComplete': function fnInitComplete() {
      $('#filter_status').change(function () {
        $(patientAdmissionsTable).DataTable().ajax.reload(null, true);
      });
    }
  });
  handleSearchDatatable(tbl);
});
$(document).on('click', '#resetFilter', function () {
  $('#filter_status').val(2).trigger('change');
});
/******/ })()
;