/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!****************************************************************!*\
  !*** ./resources/assets/js/employee/patient_diagnosis_test.js ***!
  \****************************************************************/


$(document).ready(function () {
  var tableName = '#patientDiagnosisTestTable';
  var tbl = $('#patientDiagnosisTestTable').DataTable({
    processing: true,
    serverSide: true,
    searchDelay: 500,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [[4, 'asc']],
    ajax: {
      url: patientDiagnosisTestUrl
    },
    columnDefs: [{
      'targets': [0],
      'width': '12%'
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        var showLink = patientDiagnosisTestUrl + '/' + row.id;
        return '<a href="' + showLink + '" class="badge badge-light-info">' + row.report_number + '</a>';
      },
      name: 'report_number'
    }, {
      data: function data(row) {
        var showLink = patientUrl + '/' + row.patient.id;
        return "<div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                        <a href=\"".concat(showLink, "\">\n                            <div>\n                                <img src=\"").concat(row.patientImageUrl, "\" alt=\"\"\n                                    class=\"user-img\">\n                            </div>\n                        </a>\n                    </div>\n                    <div class=\"d-inline-block align-top\">\n                        <a href=\"").concat(showLink, "\"\n                           class=\"text-primary-800 mb-1 d-block\">").concat(row.patient.user.full_name, "</a>\n                        <span class=\"d-block\">").concat(row.patient.user.email, "</span>\n                    </div>");
      },
      name: 'patient.user.first_name'
    }, {
      data: function data(row) {
        return "<div class=\"d-flex align-items-center\">\n                        <div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                        <a>\n                            <div>\n                                <img src=\"".concat(row.doctorImageUrl, "\" alt=\"\"\n                                     class=\"user-img\">\n                            </div>\n                        </a>\n                        </div>\n                        <div class=\"d-flex flex-column\">\n                            <span class=\"mb-1 fw-bold text-dark\">").concat(row.doctor.user.full_name, "</span>\n                            <span>").concat(row.doctor.user.email, "</span>\n                        </div>\n                    </div>");
      },
      name: 'doctor.user.first_name'
    }, {
      data: 'category.name',
      name: 'category.name'
    }, {
      data: function data(row) {
        return row;
      },
      render: function render(row) {
        if (row.created_at === null) {
          return 'N/A';
        }

        return "<div class=\"badge badge-light\">\n                                <div>".concat(moment(row.created_at).format('Do MMM, Y'), "</div>\n                            </div>");
      },
      name: 'created_at'
    }]
  });
  handleSearchDatatable(tbl);
});
/******/ })()
;