/******/ (() => { // webpackBootstrap
var __webpack_exports__ = {};
/*!************************************************!*\
  !*** ./resources/assets/js/enquiry/enquiry.js ***!
  \************************************************/
$(document).ready(function () {
  'use strict';

  $('#type,#filter_status').select2({
    width: '100%'
  });
  var tableName = '#enquiriesTable';
  var tbl = $('#enquiriesTable').DataTable({
    processing: true,
    serverSide: true,
    searchDelay: 500,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [7, 'desc'],
    ajax: {
      url: enquiryUrl,
      data: function data(_data) {
        _data.status = $('#filter_status').find('option:selected').val();
      }
    },
    columnDefs: [{
      'targets': [4],
      'orderable': false,
      'width': '4%'
    }, {
      'targets': [5],
      'orderable': false,
      'className': 'text-center text-nowrap',
      'width': '8%'
    }, {
      'targets': [0],
      'width': '20%'
    }, {
      'targets': [1],
      'width': '15%'
    }, {
      'searchable': true,
      'orderable': true,
      'targets': 2
    }, {
      'targets': [6],
      'visible': false
    }, {
      'targets': [7],
      'visible': false
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        return "<div class=\"d-flex flex-column\">\n                                <span class=\"mb-1 text-black\">".concat(row.full_name, "</span>\n                                <span>").concat(row.email, "</span>\n                            </div>");
      },
      name: 'full_name'
    }, {
      data: function data(row) {
        return "<span class=\"badge badge-light-primary fs-7\">".concat(row.enquiry_type, "</span>");
      },
      name: 'type'
    }, {
      data: function data(row) {
        return row;
      },
      render: function render(row) {
        if (row.created_at === null) {
          return 'N/A';
        }

        return "<div class=\"badge badge-light\">\n                                <div>".concat(moment(row.created_at).format('Do MMM, Y'), "</div>\n                            </div>");
      },
      name: 'created_at'
    }, {
      data: function data(row) {
        if (row.viewed_by === null) return 'Not viewed';else return row.user.full_name;
      },
      name: 'user.first_name'
    }, {
      data: function data(row) {
        var checked = row.status == 0 ? '' : 'checked';
        var data = [{
          'id': row.id,
          'checked': checked
        }];
        return prepareTemplateRender('#enquiryStatusTemplate', data);
      },
      name: 'status'
    }, {
      data: function data(row) {
        var showLink = enquiryShowUrl + '/' + row.id;
        var data = [{
          'id': row.id,
          'url': showLink
        }];
        return prepareTemplateRender('#enquiryActionTemplate', data);
      },
      name: 'user.last_name'
    }, {
      data: 'id',
      name: 'id'
    }, {
      data: 'created_at',
      name: 'created_at'
    }],
    'fnInitComplete': function fnInitComplete() {
      $('#filter_status').change(function () {
        $(tableName).DataTable().ajax.reload(null, true);
      });
    }
  });
  handleSearchDatatable(tbl);
  $(document).on('change', '.status', function (event) {
    var enquiryId = $(event.currentTarget).data('id');
    updateStatus(enquiryId);
  });

  window.updateStatus = function (id) {
    $.ajax({
      url: enquiryUrl + '/' + +id + '/active-deactive',
      method: 'post',
      cache: false,
      success: function success(result) {
        if (result.success) {
          displaySuccessMessage(result.message);
          tbl.ajax.reload(null, false);
        }
      }
    });
  };
});
$(document).on('click', '#resetFilter', function () {
  $('#filter_status').val(2).trigger('change');
});
/******/ })()
;