/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!***************************************************************!*\
  !*** ./resources/assets/js/front_settings/cms/create-edit.js ***!
  \***************************************************************/


$(document).ready(function () {
  $(document).on('change', '#homePageImage', function () {
    var extension = isValidImage($(this), '#validationErrorsBox');

    if (!isEmpty(extension) && extension != false) {
      $('#validationErrorsBox').html('').hide();
      displayDocument(this, '#previewImage', extension);
    }
  });

  window.isValidImage = function (inputSelector, validationMessageSelector) {
    var ext = $(inputSelector).val().split('.').pop().toLowerCase();

    if ($.inArray(ext, ['jpg', 'png', 'jpeg']) == -1) {
      $(inputSelector).val('');
      $(validationMessageSelector).removeClass('d-none');
      $(validationMessageSelector).html('The image must be a file of type: jpg, jpeg, png.').show();
      return false;
    }

    $(validationMessageSelector).hide();
    return true;
  };

  if (typeof termConditionPrivacyPolicy != 'undefined' && termConditionPrivacyPolicy == true) {
    var quill1 = new Quill('#termConditionId', {
      modules: {
        toolbar: [[{
          header: [1, 2, false]
        }], ['bold', 'italic', 'underline'], ['image', 'code-block']]
      },
      placeholder: 'Terms & Conditions',
      theme: 'snow' // or 'bubble'

    });
    quill1.on('text-change', function (delta, oldDelta, source) {
      if (quill1.getText().trim().length === 0) {
        quill1.setContents([{
          insert: ''
        }]);
      }
    });
    var quill2 = new Quill('#privacyPolicyId', {
      modules: {
        toolbar: [[{
          header: [1, 2, false]
        }], ['bold', 'italic', 'underline'], ['image', 'code-block']]
      },
      placeholder: 'Privacy Policy',
      theme: 'snow' // or 'bubble'

    });
    quill2.on('text-change', function (delta, oldDelta, source) {
      if (quill2.getText().trim().length === 0) {
        quill2.setContents([{
          insert: ''
        }]);
      }
    });
    var element = document.createElement('textarea');
    element.innerHTML = termConditionData;
    quill1.root.innerHTML = element.value;
    element.innerHTML = privacyPolicyData;
    quill2.root.innerHTML = element.value;
    $(document).on('submit', '#termsAndCondition', function () {
      var element = document.createElement('textarea');
      var editor_content_1 = quill1.root.innerHTML;
      element.innerHTML = editor_content_1;
      var editor_content_2 = quill2.root.innerHTML;

      if (quill1.getText().trim().length === 0) {
        displayErrorMessage('The Terms & Conditions is required.');
        return false;
      }

      if (quill2.getText().trim().length === 0) {
        displayErrorMessage('The Privacy Policy is required.');
        return false;
      }

      $('#termData').val(JSON.stringify(editor_content_1));
      $('#privacyData').val(JSON.stringify(editor_content_2));
    });
  }

  $(document).on('submit', '#addCMSForm', function () {
    var title = $('#homeTitleId').val();
    var empty = title.trim().replace(/ \r\n\t/g, '') === '';

    if (empty) {
      displayErrorMessage('Home Page Title field is not contain only white space');
      return false;
    }
  });
});
/******/ })()
;