/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!******************************************************!*\
  !*** ./resources/assets/js/insurances/insurances.js ***!
  \******************************************************/


$(document).ready(function () {
  var tableName = '#insurancesTbl';
  var tbl = $('#insurancesTbl').DataTable({
    processing: true,
    serverSide: true,
    searchDelay: 500,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [[8, 'desc']],
    ajax: {
      url: insuranceUrl,
      data: function data(_data) {
        _data.status = $('#filter_status').find('option:selected').val();
      }
    },
    columnDefs: [{
      'targets': [1, 4, 5],
      'className': 'text-right'
    }, {
      'targets': [6],
      'orderable': false,
      'width': '5%'
    }, {
      'targets': [7],
      'orderable': false,
      'className': 'text-center text-nowrap',
      'width': '8%'
    }, {
      'targets': [8],
      'visible': false
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        var showLink = insuranceUrl + '/' + row.id;
        return '<a href="' + showLink + '">' + row.name + '</a>';
      },
      name: 'name'
    }, {
      data: function data(row) {
        return !isEmpty(row.service_tax) ? '<p class="cur-margin">' + getCurrentCurrencyClass() + ' ' + addCommas(row.service_tax) + '</p>' : 'N/A';
      },
      name: 'service_tax'
    }, {
      data: 'insurance_no',
      name: 'insurance_no'
    }, {
      data: 'insurance_code',
      name: 'insurance_code'
    }, {
      data: function data(row) {
        return !isEmpty(row.hospital_rate) ? '<p class="cur-margin">' + getCurrentCurrencyClass() + ' ' + addCommas(row.hospital_rate) + '</p>' : 'N/A';
      },
      name: 'hospital_rate'
    }, {
      data: function data(row) {
        return !isEmpty(row.total) ? '<p class="cur-margin">' + getCurrentCurrencyClass() + ' ' + addCommas(row.total) + '</p>' : 'N/A';
      },
      name: 'total'
    }, {
      data: function data(row) {
        var checked = row.status == 0 ? '' : 'checked';
        var data = [{
          'id': row.id,
          'checked': checked
        }];
        return prepareTemplateRender('#insuranceStatusTemplate', data);
      },
      name: 'status'
    }, {
      data: function data(row) {
        var url = insuranceUrl + '/' + row.id;
        var data = [{
          'id': row.id,
          'url': url + '/edit'
        }];
        return prepareTemplateRender('.pageActionTemplate', data);
      },
      name: 'id'
    }, {
      data: 'created_at',
      name: 'created_at'
    }],
    'fnInitComplete': function fnInitComplete() {
      $('#filter_status').change(function () {
        $(tableName).DataTable().ajax.reload(null, true);
      });
    }
  });
  handleSearchDatatable(tbl);
  $(document).on('click', '.delete-btn', function (event) {
    var insuranceId = $(event.currentTarget).data('id');
    deleteItem(insuranceUrl + '/' + insuranceId, '#insurancesTbl', 'Insurance');
  });
  $(document).on('change', '.status', function (event) {
    var insuranceId = $(event.currentTarget).data('id');
    updateStatus(insuranceId);
  });
  $(document).on('click', '#resetFilter', function () {
    $('#filter_status').val(2).trigger('change');
  });

  window.updateStatus = function (id) {
    $.ajax({
      url: insuranceUrl + '/' + id + '/active-deactive',
      method: 'post',
      cache: false,
      success: function success(result) {
        if (result.success) {
          displaySuccessMessage(result.message);
          tbl.ajax.reload(null, false);
        }
      }
    });
  };
});
/******/ })()
;