/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!****************************************************************************!*\
  !*** ./resources/assets/js/investigation_reports/investigation_reports.js ***!
  \****************************************************************************/


$(document).ready(function () {
  var tableName = '#investigationReportTable';
  var tbl = $('#investigationReportTable').DataTable({
    processing: true,
    serverSide: true,
    searchDelay: 500,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [8, 'desc'],
    ajax: {
      url: investigationReportUrl,
      data: function data(_data) {
        _data.status = $('#filter_status').find('option:selected').val();
      }
    },
    columnDefs: [{
      'targets': [4],
      'sortable': false,
      'className': 'text-center'
    }, {
      'targets': [5],
      'orderable': false,
      'className': 'text-center text-nowrap',
      'width': '8%'
    }, {
      'targets': [6, 7],
      'visible': false
    }, {
      'targets': [8],
      'visible': false
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        var showLink = patientUrl + '/' + row.patient.id;
        return "<div class=\"d-flex align-items-center\">\n                            <div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                                <a href=\"".concat(showLink, "\">\n                                    <div class=\"\">\n                                        <img src=\"").concat(row.image_url, "\" alt=\"\" class=\"user-img\">\n                                    </div>\n                                </a>\n                           </div>\n                           <div class=\"d-flex flex-column\">\n                                <a href=\"").concat(showLink, "\" class=\"mb-1\">").concat(row.patient.user.full_name, "</a>\n                                <span>").concat(row.patient.user.email, "</span>\n                            </div>\n                         </div>");
      },
      name: 'patient.user.first_name'
    }, {
      data: function data(row) {
        return row;
      },
      render: function render(row) {
        if (row.date === null) {
          return 'N/A';
        }

        console.log(row);
        return "<div class=\"badge badge-light\">\n                                <div class=\"mb-2\">".concat(moment(row.date).utc().format('LT'), "</div>\n                                <div>").concat(moment(row.date).format('Do MMM, Y'), "</div>\n                            </div>");
      },
      name: 'date'
    }, {
      data: 'title',
      name: 'title'
    }, {
      data: function data(row) {
        if (row.status == 1) return 'Solved';else return 'Not Solved';
      },
      name: 'status'
    }, {
      data: function data(row) {
        if (row.attachment_url != null) {
          var downloadLink = downloadDocumentUrl + '/' + row.id;
          return '<a href="' + downloadLink + '">' + 'Download' + '</a>';
        } else {
          return 'N/A';
        }
      },
      name: 'id'
    }, {
      data: function data(row) {
        var url = investigationReportUrl + '/' + row.id;
        var data = [{
          'id': row.id,
          'url': url + '/edit'
        }];
        return prepareTemplateRender('.pageActionTemplate', data);
      },
      name: 'id'
    }, {
      data: 'patient.user.last_name',
      name: 'patient.user.last_name'
    }, {
      data: 'doctor.user.last_name',
      name: 'doctor.user.last_name'
    }, {
      data: 'created_at',
      name: 'created_at'
    }],
    'fnInitComplete': function fnInitComplete() {
      $('#filter_status').change(function () {
        $(tableName).DataTable().ajax.reload(null, true);
      });
    }
  });
  handleSearchDatatable(tbl);
});
$(document).on('click', '#resetFilter', function () {
  $('#filter_status').val(2).trigger('change');
});
$(document).on('click', '.delete-btn', function (event) {
  var investigationReportId = $(event.currentTarget).data('id');
  deleteItem(investigationReportUrl + '/' + investigationReportId, '#investigationReportTable', 'Investigation Report');
});
/******/ })()
;