/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!********************************************************************************!*\
  !*** ./resources/assets/js/ipd_consultant_register/ipd_consultant_register.js ***!
  \********************************************************************************/


$(document).ready(function () {
  var tableName = '#tblIpdConsultantRegisters';
  var tbl = $('#tblIpdConsultantRegisters').DataTable({
    processing: true,
    serverSide: true,
    searchDelay: 500,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [[1, 'desc']],
    ajax: {
      url: ipdConsultantRegisterUrl,
      data: function data(_data) {
        _data.id = ipdPatientDepartmentId;
      }
    },
    columnDefs: [{
      'targets': [0, 1, 2],
      'width': '10%'
    }, {
      'targets': [3],
      'className': 'text-center text-nowrap',
      'orderable': false,
      'width': '4%'
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        var showLink = doctorUrl + '/' + row.doctor_id;
        return "<div class=\"d-flex align-items-center\">\n                        <div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                        <a href=\"".concat(showLink, "\">\n                            <div>\n                                <img src=\"").concat(row.doctorImageUrl, "\" alt=\"\"\n                                     class=\"user-img\">\n                            </div>\n                        </a>\n                        </div>\n                        <div class=\"d-flex flex-column\">\n                            <a href=\"").concat(showLink, "\"\n                               class=\"mb-1\">").concat(row.doctor.user.full_name, "</a>\n                            <span>").concat(row.doctor.user.email, "</span>\n                        </div>\n                    </div>");
      },
      name: 'doctor.user.first_name'
    }, {
      data: function data(row) {
        return row;
      },
      render: function render(row) {
        if (row.applied_date === null) {
          return 'N/A';
        }

        return "<div class=\"badge badge-light\">\n                                <div class=\"mb-2\">".concat(moment(row.applied_date).format('LT'), "</div>\n                                <div>").concat(moment(row.applied_date).format('Do MMM, Y'), "</div>\n                            </div>");
      },
      name: 'applied_date'
    }, {
      data: function data(row) {
        return row;
      },
      render: function render(row) {
        if (row.instruction_date === null) {
          return 'N/A';
        }

        return "<div class=\"badge badge-light\">\n                                <div class=\"mb-2\">".concat(moment(row.instruction_date).format('LT'), "</div>\n                                <div>").concat(moment(row.instruction_date).format('Do MMM, Y'), "</div>\n                            </div>");
      },
      name: 'instruction_date'
    }, {
      data: function data(row) {
        var data = [{
          'id': row.id
        }];
        return prepareTemplateRender('#ipdConsultantRegisterActionTemplate', data);
      },
      name: 'doctor.user.last_name'
    }]
  });
  searchDataTable(tbl, '#search-table-2');

  function searchDataTable(tbl, selector) {
    var filterSearch = document.querySelector(selector);
    filterSearch.addEventListener('keyup', function (e) {
      tbl.search(e.target.value).draw();
    });
  }

  var addDateTimePicker = function addDateTimePicker() {
    $('.appliedDate').flatpickr({
      enableTime: true,
      dateFormat: "Y-m-d H:i",
      useCurrent: false,
      sideBySide: true,
      widgetPositioning: {
        horizontal: 'left',
        vertical: 'bottom'
      },
      minDate: ipdPatientCaseDate
    });
    $('.instructionDate').flatpickr({
      enableTime: true,
      format: 'YYYY-MM-DD',
      useCurrent: false,
      sideBySide: true,
      widgetPositioning: {
        horizontal: 'left',
        vertical: 'bottom'
      },
      minDate: ipdPatientCaseDate
    });
  };

  addDateTimePicker();

  var dropdownToSelect2 = function dropdownToSelect2(selector) {
    $(selector).select2({
      placeholder: 'Select Doctor',
      width: '100%'
    });
  };

  var removeReadOnlyAttrInDate = function removeReadOnlyAttrInDate(selector) {
    $(selector).attr('readonly', false);
  };

  dropdownToSelect2('.doctorId');
  removeReadOnlyAttrInDate('.appliedDate');
  removeReadOnlyAttrInDate('.instructionDate');
  $(document).on('click', '#addItem', function () {
    var data = {
      'doctors': doctors,
      'uniqueId': uniqueId
    };
    var ipdConsultantItemHtml = prepareTemplateRender('#ipdConsultantInstructionItemTemplate', data);
    $('.ipd-consultant-item-container').append(ipdConsultantItemHtml);
    dropdownToSelect2('.doctorId');
    addDateTimePicker();
    removeReadOnlyAttrInDate('.appliedDate');
    removeReadOnlyAttrInDate('.instructionDate');
    uniqueId++;
    resetIpdConsultantItemIndex();
  });

  var resetIpdConsultantItemIndex = function resetIpdConsultantItemIndex() {
    var index = 1;
    $('.ipd-consultant-item-container>tr').each(function () {
      $(this).find('.item-number').text(index);
      index++;
    });

    if (index - 1 == 0) {
      var data = {
        'doctors': doctors,
        'uniqueId': uniqueId
      };
      var ipdConsultantItemHtml = prepareTemplateRender('#ipdConsultantInstructionItemTemplate', data);
      $('.ipd-consultant-item-container').append(ipdConsultantItemHtml);
      dropdownToSelect2('.doctorId');
      addDateTimePicker();
      uniqueId++;
    }
  };

  $(document).on('click', '.deleteIpdConsultantInstruction', function () {
    $(this).parents('tr').remove();
    resetIpdConsultantItemIndex();
  });
  $(document).on('click', '.delete-consultant-btn', function (event) {
    var id = $(event.currentTarget).data('id');
    deleteItem(ipdConsultantRegisterUrl + '/' + id, tableName, 'IPD Consultant Instruction');
  });
  $(document).on('submit', '#addIpdConsultantNewForm', function (event) {
    event.preventDefault();
    var loadingButton = jQuery(this).find('#btnIpdConsultantSave');
    loadingButton.button('loading');
    var data = {
      'formSelector': $(this),
      'url': ipdConsultantRegisterCreateUrl,
      'type': 'POST',
      'tableSelector': tableName
    };
    newRecord(data, loadingButton, '#addConsultantInstructionModal');
  });
  $(document).on('click', '.edit-consultant-btn', function (event) {
    if (ajaxCallIsRunning) {
      return;
    }

    ajaxCallInProgress();
    var ipdConsultantId = $(event.currentTarget).data('id');
    renderConsultantData(ipdConsultantId);
  });

  window.renderConsultantData = function (id) {
    $.ajax({
      url: ipdConsultantRegisterUrl + '/' + id + '/edit',
      type: 'GET',
      success: function success(result) {
        if (result.success) {
          $('#ipdEditConsultantId').val(result.data.id);

          document.querySelector('#ipdEditAppliedDate')._flatpickr.setDate(moment(result.data.applied_date).format());

          $('#editDoctorId').val(result.data.doctor_id).trigger('change.select2');

          document.querySelector('#editInstructionDate')._flatpickr.setDate(moment(result.data.instruction_date).format());

          $('#editConsultantInstruction').val(result.data.instruction);
          $('#editIpdConsultantInstructionModal').modal('show');
          ajaxCallCompleted();
        }
      },
      error: function error(result) {
        manageAjaxErrors(result);
      }
    });
  };

  $(document).on('submit', '#editIpdConsultantNewForm', function (event) {
    event.preventDefault();
    var loadingButton = jQuery(this).find('#btnEditIpdConsultantSave');
    loadingButton.button('loading');
    var id = $('#ipdEditConsultantId').val();
    var url = ipdConsultantRegisterUrl + '/' + id;
    var data = {
      'formSelector': $(this),
      'url': url,
      'type': 'POST',
      'tableSelector': tableName
    };
    editRecord(data, loadingButton, '#editIpdConsultantInstructionModal');
  });
  $('#addConsultantInstructionModal').on('hidden.bs.modal', function () {
    resetModalForm('#addIpdConsultantNewForm', '#validationErrorsBox');
    $('#ipdConsultantInstructionTbl').find('tr:gt(1)').remove();
    $('.doctorId').val('');
    $('.doctorId').trigger('change');
  });
});
/******/ })()
;