/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!**********************************************************!*\
  !*** ./resources/assets/js/ipd_patients/ipd_patients.js ***!
  \**********************************************************/


$(document).ready(function () {
  var tableName = '#ipdPatientDepartmentsTable';
  var tbl = $('#ipdPatientDepartmentsTable').DataTable({
    searchDelay: 500,
    processing: true,
    serverSide: true,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [7, 'desc'],
    ajax: {
      url: ipdPatientUrl,
      data: function data(_data) {
        _data.status = $('#filter_status').find('option:selected').val();
      }
    },
    columnDefs: [{
      'targets': [6],
      'orderable': false,
      'className': 'text-center text-nowrap',
      'width': '8%'
    }, {
      'targets': [7],
      'visible': false
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        var showLink = ipdPatientUrl + '/' + row.id;
        return '<a href="' + showLink + '" class="badge badge-light-info">' + row.ipd_number + '</a>';
      },
      name: 'ipd_number'
    }, {
      data: function data(row) {
        var showLink = patientUrl + '/' + row.patient_id;
        return "<div class=\"d-flex align-items-center\">\n                        <div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                        <a href=\"".concat(showLink, "\">\n                            <div>\n                                <img src=\"").concat(row.image_url, "\" alt=\"\"\n                                     class=\"user-img\">\n                            </div>\n                        </a>\n                        </div>\n                        <div class=\"d-flex flex-column\">\n                            <a href=\"").concat(showLink, "\"\n                               class=\"mb-1\">").concat(row.patient.user.full_name, "</a>\n                            <span>").concat(row.patient.user.email, "</span>\n                        </div>\n                    </div>");
      },
      name: 'patient.user.first_name'
    }, {
      data: function data(row) {
        var showLink = doctorUrl + '/' + row.doctor_id;
        return "<div class=\"d-flex align-items-center\">\n                        <div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                        <a href=\"".concat(showLink, "\">\n                            <div>\n                                <img src=\"").concat(row.doctorImageUrl, "\" alt=\"\"\n                                     class=\"user-img\">\n                            </div>\n                        </a>\n                        </div>\n                        <div class=\"d-flex flex-column\">\n                            <a href=\"").concat(showLink, "\"\n                               class=\"mb-1\">").concat(row.doctor.user.full_name, "</a>\n                            <span>").concat(row.doctor.user.email, "</span>\n                        </div>\n                    </div>");
      },
      name: 'doctor.user.first_name'
    }, {
      data: function data(row) {
        return row;
      },
      render: function render(row) {
        if (row.admission_date === null) {
          return 'N/A';
        }

        return "<div class=\"badge badge-light\">\n                                <div class=\"mb-2\">".concat(moment(row.admission_date).format('LT'), "</div>\n                                <div>").concat(moment(row.admission_date).format('Do MMM, Y'), "</div>\n                            </div>");
      },
      name: 'admission_date'
    }, {
      data: function data(row) {
        var showLink = bedUrl + '/' + row.bed_id;
        return '<a href="' + showLink + '">' + row.bed.name + '</a>';
      },
      name: 'bed.name'
    }, {
      data: function data(row) {
        if (row.bill_status == 1 && row.bill) {
          if (row.bill.net_payable_amount <= 0) {
            return '<span class="badge badge-light-success">Paid</span>';
          }
        }

        return '<span class="badge badge-light-danger">Unpaid</span>';
      },
      name: 'bill_status'
    }, {
      data: function data(row) {
        var url = ipdPatientUrl + '/' + row.id;
        var data = [{
          'id': row.id,
          'url': url + '/edit',
          'bill_status': row.bill_status
        }];
        return prepareTemplateRender('#ipdPatientActionTemplate', data);
      },
      name: 'patient.user.last_name'
    }, {
      data: 'created_at',
      name: 'created_at'
    }],
    'fnInitComplete': function fnInitComplete() {
      $('#filter_status').change(function () {
        $(tableName).DataTable().ajax.reload(null, true);
      });
    }
  });
  handleSearchDatatable(tbl);
});
$('#filter_status').select2();
$(document).on('click', '#resetFilter', function () {
  $('#filter_status').val('').trigger('change');
});
$(document).on('click', '.delete-btn', function (event) {
  var ipdPatientId = $(event.currentTarget).data('id');
  deleteItem(ipdPatientUrl + '/' + ipdPatientId, '#ipdPatientDepartmentsTable', 'IPD Patient');
});
/******/ })()
;