/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!***************************************************************!*\
  !*** ./resources/assets/js/ipd_patients_list/ipd_patients.js ***!
  \***************************************************************/


$(document).ready(function () {
  var tableName = '#ipdPatientDepartmentsTable';
  var tbl = $('#ipdPatientDepartmentsTable').DataTable({
    processing: true,
    serverSide: true,
    searchDelay: 500,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [[2, 'desc']],
    ajax: {
      url: ipdPatientUrl
    },
    columnDefs: [{
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        var showLink = ipdPatientUrl + '/' + row.id;
        return '<a href="' + showLink + '" class="badge badge-light-info">' + row.ipd_number + '</a>';
      },
      name: 'ipd_number'
    }, {
      data: function data(row) {
        return "<div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                        <a>\n                            <div>\n                                <img src=\"".concat(row.doctorImageUrl, "\" alt=\"\" class=\"user-img\">\n                            </div>\n                        </a>\n                    </div>\n                    <div class=\"d-inline-block align-top\">\n                        <a class=\"text-dark fw-bold mb-1 d-block\">").concat(row.doctor.user.full_name, "</a>\n                        <span class=\"d-block\">").concat(row.doctor.user.email, "</span>\n                    </div>");
      },
      name: 'doctor.user.first_name'
    }, {
      data: function data(row) {
        return row;
      },
      render: function render(row) {
        if (row.admission_date === null) {
          return 'N/A';
        }

        return "<div class=\"badge badge-light\">\n                                <div class=\"mb-2\">".concat(moment(row.admission_date).utc().format('LT'), "</div>\n                                <div>").concat(moment(row.admission_date).utc().format('Do MMM, Y'), "</div>\n                            </div>");
      },
      name: 'admission_date'
    }, {
      data: 'bed.name',
      name: 'bed.name'
    }, {
      data: 'patient.user.phone',
      name: 'patient.user.phone'
    }]
  });
  handleSearchDatatable(tbl);
});
/******/ })()
;