/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!**********************************************************!*\
  !*** ./resources/assets/js/issued_items/issued_items.js ***!
  \**********************************************************/


$('#filter_status').select2();
var tbl = $('#issuedItemsTable').DataTable({
  processing: true,
  serverSide: true,
  searchDelay: 500,
  'language': {
    'lengthMenu': 'Show _MENU_'
  },
  'order': [[7, 'desc']],
  ajax: {
    url: issuedItemUrl,
    data: function data(_data) {
      _data.status = $('#filter_status').find('option:selected').val();
    }
  },
  columnDefs: [{
    'targets': [5],
    'orderable': false,
    'className': 'text-center',
    'width': '10%'
  }, {
    'targets': [6],
    'orderable': false,
    'className': 'text-center text-nowrap',
    'width': '10%'
  }, {
    'targets': [4],
    'className': 'text-right'
  }, {
    'targets': [7],
    'visible': false
  }, {
    targets: '_all',
    defaultContent: 'N/A',
    'className': 'text-start align-middle text-nowrap'
  }],
  columns: [{
    data: 'item.name',
    name: 'item.name'
  }, {
    data: 'item.itemcategory.name',
    name: 'item.itemcategory.name'
  }, {
    data: function data(row) {
      return row;
    },
    render: function render(row) {
      return "<div class=\"badge badge-light\">\n                            <div>".concat(moment(row.issued_date).utc().format('Do MMM, Y'), "</div>\n                        </div>");
    },
    name: 'issued_date'
  }, {
    data: function data(row) {
      return row;
    },
    render: function render(row) {
      if (row.return_date === null) {
        return 'N/A';
      }

      return "<div class=\"badge badge-light\">\n                            <div>".concat(moment(row.return_date).utc().format('Do MMM, Y'), "</div>\n                        </div>");
    },
    name: 'return_date'
  }, {
    data: function data(row) {
      return "<span class=\"badge badge-light-primary fs-7\">".concat(row.quantity, "</span>");
    },
    name: 'quantity'
  }, {
    data: function data(row) {
      var statusText = row.status == 0 ? 'Return Item' : 'Returned';
      var statusBadge = row.status == 0 ? 'light-info' : 'light-primary';
      var data = [{
        'id': row.id,
        'status': row.status,
        'statusText': statusText,
        'statusBadge': statusBadge
      }];
      return prepareTemplateRender('#issuedItemStatusTemplate', data);
    },
    name: 'status'
  }, {
    data: function data(row) {
      var url = issuedItemUrl + '/' + row.id;
      var data = [{
        'id': row.id,
        'url': url + '/edit'
      }];
      return prepareTemplateRender('#issuedItemActionTemplate', data);
    },
    name: 'id'
  }, {
    data: 'created_at',
    name: 'created_at'
  }],
  'fnInitComplete': function fnInitComplete() {
    $('#filter_status').change(function () {
      $('#issuedItemsTable').DataTable().ajax.reload(null, true);
    });
  }
});
handleSearchDatatable(tbl);
$(document).on('click', '#resetFilter', function () {
  $('#filter_status').val(2).trigger('change');
});
$(document).on('click', '.delete-btn', function (event) {
  var issuedItemId = $(event.currentTarget).data('id');
  deleteItem(issuedItemUrl + '/' + issuedItemId, '#issuedItemsTable', 'Issued Item');
});
$(document).on('click', '.changes-status-btn', function (event) {
  var issuedItemId = $(this).data('id');
  var issuedItemStatus = $(this).data('status');

  if (!issuedItemStatus) {
    var swalWithBootstrapButtons = Swal.mixin({
      customClass: {
        confirmButton: 'swal2-confirm btn fw-bold btn-danger mt-0',
        cancelButton: 'swal2-cancel btn fw-bold btn-bg-light btn-color-primary mt-0'
      },
      buttonsStyling: false
    });
    swalWithBootstrapButtons.fire({
      title: 'Return Item !',
      text: 'Are you sure want to return this item ?',
      icon: 'warning',
      showCancelButton: true,
      confirmButtonColor: '#5cb85c',
      cancelButtonColor: '#d33',
      cancelButtonText: 'No',
      confirmButtonText: 'Yes'
    }).then(function (result) {
      if (result.isConfirmed) {
        $.ajax({
          url: returnIssuedItemUrl,
          type: 'get',
          dataType: 'json',
          data: {
            id: issuedItemId
          },
          success: function success(data) {
            swal.fire({
              title: 'Item Returned!',
              confirmButtonColor: '#009ef7',
              text: data.message,
              timer: 2000
            });
            tbl.ajax.reload(null, true);
          }
        });
      }
    });
  }
});
/******/ })()
;