/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!****************************************************************!*\
  !*** ./resources/assets/js/item_categories/item_categories.js ***!
  \****************************************************************/


var tableName = '#itemCategoriesTbl';
var tbl = $(tableName).DataTable({
  processing: true,
  serverSide: true,
  searchDelay: 500,
  'language': {
    'lengthMenu': 'Show _MENU_'
  },
  'order': [[2, 'desc']],
  ajax: {
    url: itemCategoriesUrl
  },
  columnDefs: [{
    'targets': [1],
    'orderable': false,
    'className': 'text-center text-nowrap',
    'width': '8%'
  }, {
    'targets': [2],
    'visible': false
  }, {
    targets: '_all',
    defaultContent: 'N/A',
    'className': 'text-start align-middle text-nowrap'
  }],
  columns: [{
    data: 'name',
    name: 'name'
  }, {
    data: function data(row) {
      var data = [{
        'id': row.id
      }];
      return prepareTemplateRender('.modalActionTemplate', data);
    },
    name: 'id'
  }, {
    data: 'created_at',
    name: 'created_at'
  }]
});
handleSearchDatatable(tbl);
$(document).on('click', '.edit-btn', function (event) {
  if (ajaxCallIsRunning) {
    return;
  }

  ajaxCallInProgress();
  var itemCategoryId = $(event.currentTarget).data('id');
  renderData(itemCategoryId);
});
$(document).on('click', '.delete-btn', function (event) {
  var itemCategoryId = $(event.currentTarget).data('id');
  deleteItem(itemCategoriesUrl + '/' + itemCategoryId, '#itemCategoriesTbl', 'Item Category');
});

window.renderData = function (id) {
  $.ajax({
    url: itemCategoriesUrl + '/' + id + '/edit',
    type: 'GET',
    success: function success(result) {
      if (result.success) {
        var itemCategory = result.data;
        $('#itemCategoryId').val(itemCategory.id);
        $('#editName').val(itemCategory.name);
        $('#editModal').modal('show');
        ajaxCallCompleted();
      }
    },
    error: function error(result) {
      manageAjaxErrors(result);
    }
  });
};

$(document).on('submit', '#addNewForm', function (event) {
  event.preventDefault();
  var loadingButton = jQuery(this).find('#btnSave');
  loadingButton.button('loading');
  $.ajax({
    url: itemCategoryCreateUrl,
    type: 'POST',
    data: $(this).serialize(),
    success: function success(result) {
      if (result.success) {
        displaySuccessMessage(result.message);
        $('#addModal').modal('hide');
        $('#itemCategoriesTbl').DataTable().ajax.reload(null, true);
      }
    },
    error: function error(result) {
      printErrorMessage('#validationErrorsBox', result);
    },
    complete: function complete() {
      loadingButton.button('reset');
    }
  });
});
$(document).on('submit', '#editForm', function (event) {
  event.preventDefault();
  var loadingButton = jQuery(this).find('#btnEditSave');
  loadingButton.button('loading');
  var id = $('#itemCategoryId').val();
  $.ajax({
    url: itemCategoriesUrl + '/' + id,
    type: 'put',
    data: $(this).serialize(),
    success: function success(result) {
      if (result.success) {
        displaySuccessMessage(result.message);
        $('#editModal').modal('hide');
        $('#itemCategoriesTbl').DataTable().ajax.reload(null, true);
      }
    },
    error: function error(result) {
      UnprocessableInputError(result);
    },
    complete: function complete() {
      loadingButton.button('reset');
    }
  });
});
$('#addModal').on('hidden.bs.modal', function () {
  resetModalForm('#addNewForm', '#validationErrorsBox');
});
$('#editModal').on('hidden.bs.modal', function () {
  resetModalForm('#editForm', '#editValidationErrorsBox');
});
/******/ })()
;