/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!********************************************!*\
  !*** ./resources/assets/js/items/items.js ***!
  \********************************************/


var tbl = $('#itemsTable').DataTable({
  processing: true,
  serverSide: true,
  searchDelay: 500,
  'language': {
    'lengthMenu': 'Show _MENU_'
  },
  'order': [[5, 'desc']],
  ajax: {
    url: itemUrl
  },
  columnDefs: [{
    'targets': [4],
    'orderable': false,
    'className': 'text-center text-nowrap',
    'width': '10%'
  }, {
    'targets': [2],
    'width': '8%',
    'className': 'text-right'
  }, {
    'targets': [3],
    'width': '15%',
    'className': 'text-right'
  }, {
    'targets': [5],
    'visible': false
  }, {
    targets: '_all',
    defaultContent: 'N/A',
    'className': 'text-start align-middle text-nowrap'
  }],
  columns: [{
    data: 'name',
    name: 'name'
  }, {
    data: 'itemcategory.name',
    name: 'itemcategory.name'
  }, {
    data: function data(row) {
      return "<span class=\"badge badge-light-success\">".concat(row.unit, "</span>");
    },
    name: 'unit'
  }, {
    data: function data(row) {
      return "<span class=\"badge badge-light-info\">".concat(row.available_quantity, "</span>");
    },
    name: 'available_quantity'
  }, {
    data: function data(row) {
      var url = itemUrl + '/' + row.id;
      var data = [{
        'id': row.id,
        'url': url + '/edit'
      }];
      return prepareTemplateRender('.pageActionTemplate', data);
    },
    name: 'id'
  }, {
    data: 'created_at',
    name: 'created_at'
  }]
});
handleSearchDatatable(tbl);
$(document).on('click', '.delete-btn', function (event) {
  var itemId = $(event.currentTarget).data('id');
  deleteItem(itemUrl + '/' + itemId, '#itemsTable', 'Item');
});
/******/ })()
;