/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!****************************************************************!*\
  !*** ./resources/assets/js/lab_technicians/lab_technicians.js ***!
  \****************************************************************/


var tableName = '#labTechniciansTable';
var tbl = $('#labTechniciansTable').DataTable({
  processing: true,
  serverSide: true,
  searchDelay: 500,
  'language': {
    'lengthMenu': 'Show _MENU_'
  },
  'order': [[4, 'desc']],
  ajax: {
    url: labTechnicianUrl,
    data: function data(_data) {
      _data.status = $('#filter_status').find('option:selected').val();
    }
  },
  columnDefs: [{
    'targets': [2],
    'width': '5%',
    'orderable': false
  }, {
    'targets': [3],
    'className': 'text-center text-nowrap',
    'width': '8%',
    'orderable': false
  }, {
    'targets': [4],
    'visible': false
  }, {
    targets: '_all',
    defaultContent: 'N/A',
    'className': 'text-start align-middle text-nowrap'
  }],
  columns: [{
    data: function data(row) {
      var showLink = labTechnicianUrl + '/' + row.id;
      return "<div class=\"d-flex align-items-center\">\n                                <div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                                    <a href=\"".concat(showLink, "\">\n                                        <div>\n                                            <img src=\"").concat(row.image_url, "\" alt=\"\"\n                                                 class=\"user-img\">\n                                        </div>\n                                    </a>\n                                </div>\n                            <div class=\"d-flex flex-column\">\n                                <a href=\"").concat(showLink, "\" class=\"mb-1\">").concat(row.user.full_name, "</a>\n                                <span>").concat(row.user.email, "</span>\n                            </div>\n                    </div>");
    },
    name: 'user.first_name'
  }, {
    data: 'user.designation',
    name: 'user.designation'
  }, {
    data: function data(row) {
      var checked = row.user.status == 0 ? '' : 'checked';
      var data = [{
        'id': row.id,
        'checked': checked
      }];
      return prepareTemplateRender('#labTechnicianStatusTemplate', data);
    },
    name: 'user.status'
  }, {
    data: function data(row) {
      var url = labTechnicianUrl + '/' + row.id;
      var data = [{
        'id': row.id,
        'url': url + '/edit'
      }];
      return prepareTemplateRender('#labTechnicianActionTemplate', data);
    },
    name: 'id'
  }, {
    data: 'created_at',
    name: 'created_at'
  }],
  'fnInitComplete': function fnInitComplete() {
    $('#filter_status').change(function () {
      $(tableName).DataTable().ajax.reload(null, true);
    });
  }
});
handleSearchDatatable(tbl);
$(document).on('click', '.delete-btn', function (event) {
  var labTechnicianId = $(event.currentTarget).data('id');
  deleteItem(labTechnicianUrl + '/' + labTechnicianId, '#labTechniciansTable', 'Lab Technician');
});
$(document).on('click', '#resetFilter', function () {
  $('#filter_status').val(2).trigger('change');
});
$(document).on('change', '.status', function (event) {
  var labTechnicianId = $(event.currentTarget).data('id');
  updateStatus(labTechnicianId);
});
$(document).on('click', '#resetFilter', function () {
  $('#filter_status').val('2').trigger('change');
});

window.updateStatus = function (id) {
  $.ajax({
    url: labTechnicianUrl + '/' + +id + '/active-deactive',
    method: 'post',
    cache: false,
    success: function success(result) {
      if (result.success) {
        displaySuccessMessage(result.message);
        tbl.ajax.reload(null, false);
      }
    }
  });
};
/******/ })()
;