/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!**********************************************************!*\
  !*** ./resources/assets/js/opd_patients/opd_patients.js ***!
  \**********************************************************/


$(document).ready(function () {
  var tableName = '#opdPatientDepartmentsTable';
  var tbl = $(tableName).DataTable({
    processing: true,
    serverSide: true,
    searchDelay: 500,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [[8, 'desc']],
    ajax: {
      url: opdPatientUrl
    },
    columnDefs: [{
      'targets': [1],
      'width': '22%'
    }, {
      'targets': [3],
      'width': '22%'
    }, {
      'targets': [4],
      'className': 'text-right'
    }, {
      'targets': [6],
      'className': 'text-center',
      'width': '10%'
    }, {
      'targets': [7],
      'orderable': false,
      'className': 'text-center text-nowrap',
      'width': '6%'
    }, {
      'targets': [8],
      'visible': false
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        var showLink = opdPatientUrl + '/' + row.id;
        return '<a href="' + showLink + '" class="badge badge-light-info">' + row.opd_number + '</a>';
      },
      name: 'opd_number'
    }, {
      data: function data(row) {
        var showLink = patientUrl + '/' + row.patient_id;
        return "<div class=\"d-flex align-items-center\">\n                        <div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                        <a href=\"".concat(showLink, "\">\n                            <div class=\"\">\n                                <img src=\"").concat(row.image_url, "\" alt=\"\"\n                                     class=\"user-img\">\n                            </div>\n                        </a>\n                    </div>\n                    <div class=\"d-flex flex-column\">\n                        <a href=\"").concat(showLink, "\"\n                           class=\"mb-1\">").concat(row.patient.user.full_name, "</a>\n                        <span>").concat(row.patient.user.email, "</span>\n                    </div>\n                </div>");
      },
      name: 'patient.user.first_name'
    }, {
      data: function data(row) {
        var showLink = doctorUrl + '/' + row.doctor.id;
        return "<div class=\"d-flex align-items-center\">\n                        <div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                        <a href=\"".concat(showLink, "\">\n                            <div>\n                                <img src=\"").concat(row.doctorImageUrl, "\" alt=\"\"\n                                     class=\"user-img\">\n                            </div>\n                        </a>\n                        </div>\n                        <div class=\"d-flex flex-column\">\n                            <a href=\"").concat(showLink, "\"\n                               class=\"mb-1\">").concat(row.doctor.user.full_name, "</a>\n                            <span>").concat(row.doctor.user.email, "</span>\n                        </div>\n                    </div>");
      },
      name: 'doctor.user.first_name'
    }, {
      data: function data(row) {
        return row;
      },
      render: function render(row) {
        if (row.appointment_date === null) {
          return 'N/A';
        }

        return "<div class=\"badge badge-light\">\n                                <div class=\"mb-2\">".concat(moment(row.appointment_date).utc().format('LT'), "</div>\n                                <div>").concat(moment(row.appointment_date).format('Do MMM, Y'), "</div>\n                            </div>");
      },
      name: 'appointment_date'
    }, {
      data: function data(row) {
        return getCurrentCurrencyClass() + addCommas(row.standard_charge);
      },
      name: 'standard_charge'
    }, {
      data: function data(row) {
        if (row.payment_mode == 1) {
          return "<span class=\"badge badge-light-primary\">".concat(row.payment_mode_name, "</span>");
        } else if (row.payment_mode == 2) {
          return "<span class=\"badge badge-light-success\">".concat(row.payment_mode_name, "</span>");
        }
      },
      name: 'payment_mode'
    }, {
      data: function data(row) {
        return "<span class=\"badge badge-light-info\">".concat(row.visits, "</span>");
      },
      name: 'id'
    }, {
      data: function data(row) {
        var data = [{
          'id': row.id
        }];
        return prepareTemplateRender('#opdPatientActionTemplate', data);
      },
      name: 'patient.user.last_name'
    }, {
      data: 'created_at',
      name: 'created_at'
    }]
  });
  handleSearchDatatable(tbl);
  $(document).on('click', '.delete-btn', function (event) {
    var opdPatientId = $(event.currentTarget).data('id');
    deleteItem(opdPatientUrl + '/' + opdPatientId, tableName, 'OPD Patient');
  });
});
/******/ })()
;