/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!****************************************************!*\
  !*** ./resources/assets/js/opd_patients/visits.js ***!
  \****************************************************/


var tableName = '#visitedOPDPatientTable';
var tbl = $('#visitedOPDPatientTable').DataTable({
  processing: true,
  serverSide: true,
  searchDelay: 500,
  'language': {
    'lengthMenu': 'Show _MENU_'
  },
  'order': [[0, 'desc']],
  ajax: {
    url: visitedOPDPatients,
    data: {
      patient_id: patient_id,
      id: opdPatientDepartmentId
    }
  },
  columnDefs: [{
    'targets': [0],
    'width': '8%'
  }, {
    'targets': [7],
    'className': 'text-center text-nowrap',
    'width': '5%'
  }, {
    'targets': [2],
    'className': 'text-right',
    'width': '12%'
  }, {
    'targets': [1, 3],
    'width': '12%'
  }, {
    'targets': [5, 6],
    render: function render(data) {
      if (data != null) {
        return data.length > 30 ? data.substr(0, 30) + '...' : data;
      }
    }
  }, {
    targets: '_all',
    defaultContent: 'N/A',
    'className': 'text-start align-middle text-nowrap'
  }],
  columns: [{
    data: function data(row) {
      var showLink = opdPatientUrl + '/' + row.id;
      return '<a href="' + showLink + '" class="badge badge-light-info">' + row.opd_number + '</a>';
    },
    name: 'opd_number'
  }, {
    data: function data(row) {
      var showLink = doctorUrl + '/' + row.doctor_id;
      return "<div class=\"d-flex align-items-center\">\n                        <div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                        <a href=\"".concat(showLink, "\">\n                            <div>\n                                <img src=\"").concat(row.doctorImageUrl, "\" alt=\"\"\n                                     class=\"user-img\">\n                            </div>\n                        </a>\n                        </div>\n                        <div class=\"d-flex flex-column\">\n                            <a href=\"").concat(showLink, "\"\n                               class=\"mb-1\">").concat(row.doctor.user.full_name, "</a>\n                            <span>").concat(row.doctor.user.email, "</span>\n                        </div>\n                    </div>");
    },
    name: 'doctor.user.first_name'
  }, {
    data: function data(row) {
      return row;
    },
    render: function render(row) {
      if (row.appointment_date === null) {
        return 'N/A';
      }

      return "<div class=\"badge badge-light\">\n                                <div class=\"mb-2\">".concat(moment(row.appointment_date).utc().format('LT'), "</div>\n                                <div>").concat(moment(row.appointment_date).utc().format('Do MMM, Y'), "</div>\n                            </div>");
    },
    name: 'appointment_date'
  }, {
    data: function data(row) {
      return getCurrentCurrencyClass() + addCommas(row.standard_charge);
    },
    name: 'standard_charge'
  }, {
    data: 'payment_mode_name',
    name: 'payment_mode'
  }, {
    data: 'symptoms',
    name: 'symptoms'
  }, {
    data: 'notes',
    name: 'notes'
  }, {
    data: function data(row) {
      var editLink = opdPatientUrl + '/' + row.id + '/edit';
      var data = [{
        'id': row.id,
        'url': editLink
      }];
      return prepareTemplateRender('#opdVisitsActionTemplate', data);
    },
    name: 'doctor.user.last_name'
  }]
});
searchDataTable(tbl, '#search-table-1');

function searchDataTable(tbl, selector) {
  var filterSearch = document.querySelector(selector);
  filterSearch.addEventListener('keyup', function (e) {
    tbl.search(e.target.value).draw();
  });
}

$(document).on('click', '.delete-visit-btn', function (event) {
  var opdPatientId = $(event.currentTarget).data('id');
  deleteItem(opdPatientUrl + '/' + opdPatientId, tableName, 'OPD Patient');
});
/******/ })()
;