/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!***************************************************************!*\
  !*** ./resources/assets/js/opd_patients_list/opd_patients.js ***!
  \***************************************************************/


$(document).ready(function () {
  var tableName = '#opdPatientDepartmentsTable';
  var tbl = $('#opdPatientDepartmentsTable').DataTable({
    searchDelay: 500,
    processing: true,
    serverSide: true,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [[2, 'desc']],
    ajax: {
      url: opdPatientUrl
    },
    columnDefs: [{
      'targets': [6],
      'className': 'text-center',
      'width': '10%'
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        var showLink = opdPatientUrl + '/' + row.id;
        return '<a href="' + showLink + '" class="badge badge-light-info">' + row.opd_number + '</a>';
      },
      name: 'opd_number'
    }, {
      data: function data(row) {
        return "<div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                        <a>\n                            <div>\n                                <img src=\"".concat(row.doctorImageUrl, "\" alt=\"\" class=\"user-img\">\n                            </div>\n                        </a>\n                    </div>\n                    <div class=\"d-inline-block align-top\">\n                        <a class=\"text-dark fw-bold mb-1 d-block\">").concat(row.doctor.user.full_name, "</a>\n                        <span class=\"d-block\">").concat(row.doctor.user.email, "</span>\n                    </div>");
      },
      name: 'doctor.user.first_name'
    }, {
      data: function data(row) {
        return row;
      },
      render: function render(row) {
        if (row.appointment_date === null) {
          return 'N/A';
        }

        return "<div class=\"badge badge-light\">\n                                <div class=\"mb-2\">".concat(moment(row.admission_date).format('LT'), "</div>\n                                <div>").concat(moment(row.admission_date).format('Do MMM, Y'), "</div>\n                            </div>");
      },
      name: 'appointment_date'
    }, {
      data: function data(row) {
        return getCurrentCurrencyClass() + addCommas(row.standard_charge);
      },
      name: 'standard_charge'
    }, {
      data: 'payment_mode_name',
      name: 'payment_mode'
    }, {
      data: 'patient.user.phone',
      name: 'patient.user.phone'
    }, {
      data: 'visits',
      name: 'doctor.user.last_name'
    }]
  });
  handleSearchDatatable(tbl);
});
/******/ })()
;