/******/ (() => { // webpackBootstrap
var __webpack_exports__ = {};
/*!*****************************************************!*\
  !*** ./resources/assets/js/packages/create-edit.js ***!
  \*****************************************************/
$(document).ready(function () {
  'use strict';

  var dropdownToSelecte2 = function dropdownToSelecte2(selector) {
    $(selector).select2({
      placeholder: 'Select Service',
      width: '100%'
    });
  };

  $('#packageForm').find('input:text:visible:first').focus();
  dropdownToSelecte2('.serviceId');
  $(document).on('click', '#addItem', function () {
    var data = {
      'services': associateServices,
      'uniqueId': uniqueId
    };
    var packageServiceItemHtml = prepareTemplateRender('#packageServiceTemplate', data);
    $('.package-service-item-container').append(packageServiceItemHtml);
    dropdownToSelecte2('.serviceId');
    uniqueId++;
    resetServicePackageItemIndex();
  });

  var resetServicePackageItemIndex = function resetServicePackageItemIndex() {
    var index = 1;
    $('.package-service-item-container>tr').each(function () {
      $(this).find('.item-number').text(index);
      index++;
    });

    if (index - 1 == 0) {
      var data = {
        'services': associateServices,
        'uniqueId': uniqueId
      };
      var packageServiceItemHtml = prepareTemplateRender('#packageServiceTemplate', data);
      $('.package-service-item-container').append(packageServiceItemHtml);
      dropdownToSelecte2('.serviceId');
      uniqueId++;
    }
  };

  $(document).on('click', '.delete-service-package-item', function () {
    $(this).parents('tr').remove();
    resetServicePackageItemIndex();
    calculateAndSetTotalAmount();
  });

  var removeCommas = function removeCommas(str) {
    return str.replace(/,/g, '');
  };

  window.isNumberKey = function (evt, element) {
    var charCode = evt.which ? evt.which : event.keyCode;
    return !((charCode !== 46 || $(element).val().indexOf('.') !== -1) && (charCode < 48 || charCode > 57));
  };

  $(document).on('keyup', '.qty', function () {
    var qty = parseInt($(this).val());
    var rate = $(this).parent().siblings().find('.price').val();
    rate = parseInt(removeCommas(rate));
    var amount = calculateAmount(qty, rate);
    $(this).parent().siblings('.amount').text(addCommas(amount.toString()));
    calculateAndSetTotalAmount();
  });
  $(document).on('keyup', '.price', function () {
    var rate = $(this).val();
    rate = parseInt(removeCommas(rate));
    var qty = parseInt($(this).parent().siblings().find('.qty').val());
    var amount = calculateAmount(qty, rate);
    $(this).parent().siblings('.amount').text(addCommas(amount.toString()));
    calculateAndSetTotalAmount();
  });
  $(document).on('keyup', '.discount', function () {
    calculateAndSetTotalAmount();
  });

  var calculateAmount = function calculateAmount(qty, rate) {
    if (qty > 0 && rate > 0) {
      return qty * rate;
    } else {
      return 0;
    }
  };

  var calculateAndSetTotalAmount = function calculateAndSetTotalAmount() {
    var totalAmount = 0;
    var discount = parseFloat($('.discount').val() !== '' ? $('.discount').val() : 0);
    $('.package-service-item-container>tr').each(function () {
      var itemTotal = $(this).find('.item-total').text();
      itemTotal = removeCommas(itemTotal);
      itemTotal = isEmpty($.trim(itemTotal)) ? 0 : parseInt(itemTotal);
      totalAmount += itemTotal;
    });
    totalAmount = parseFloat(totalAmount);
    totalAmount -= totalAmount * discount / 100;
    $('#total').text(addCommas(totalAmount.toFixed(2))); //set hidden input value

    $('#total_amount').val(totalAmount);
  };

  $(document).on('submit', '#packageForm', function (event) {
    event.preventDefault();
    screenLock();
    $('#saveBtn').attr('disabled', true);
    var loadingButton = jQuery(this).find('#saveBtn');
    loadingButton.button('loading');
    var formData = new FormData($(this)[0]);
    $.ajax({
      url: packageSaveUrl,
      type: 'POST',
      dataType: 'json',
      data: formData,
      processData: false,
      contentType: false,
      success: function success(result) {
        displaySuccessMessage(result.message);
        window.location.href = packageUrl;
      },
      error: function error(result) {
        printErrorMessage('#validationErrorsBox', result);
        $('#saveBtn').attr('disabled', false);
      },
      complete: function complete() {
        screenUnLock();
        loadingButton.button('reset');
      }
    });
  });
});
/******/ })()
;