/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!**********************************************************************!*\
  !*** ./resources/assets/js/patient_cases_list/patient_cases_list.js ***!
  \**********************************************************************/


$(document).ready(function () {
  var tbl = $('#patientCasesTbl').DataTable({
    processing: true,
    serverSide: true,
    searchDelay: 500,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [10, 'desc'],
    ajax: {
      url: patientCasesUrl
    },
    columnDefs: [{
      'targets': [0],
      'width': '10%'
    }, {
      'targets': [5],
      'className': 'text-right'
    }, {
      'targets': [1],
      'width': '15%'
    }, {
      'targets': [10]
    }, {
      'targets': [6],
      'orderable': false,
      'className': 'text-center',
      'width': '6%'
    }, {
      'targets': [7, 8],
      'visible': false
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        var showLink = patientCaseShowUrl + '/' + row.id;
        return '<a href="' + showLink + '" class="badge badge-light-info">' + row.case_id + '</a>';
      },
      name: 'case_id'
    }, {
      data: function data(row) {
        var showLink = patientUrl + '/' + row.patient.id;
        return "<div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                        <a href=\"".concat(showLink, "\">\n                            <div>\n                                <img src=\"").concat(row.patientImageUrl, "\" alt=\"\"\n                                    class=\"user-img\">\n                            </div>\n                        </a>\n                    </div>\n                    <div class=\"d-inline-block align-top\">\n                        <a href=\"").concat(showLink, "\"\n                           class=\"text-primary-800 mb-1 d-block\">").concat(row.patient.user.full_name, "</a>\n                        <span class=\"d-block\">").concat(row.patient.user.email, "</span>\n                    </div>");
      },
      name: 'patient.user.first_name'
    }, {
      data: function data(row) {
        return "<div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                        <a>\n                            <div>\n                                <img src=\"".concat(row.doctorImageUrl, "\" alt=\"\" class=\"user-img\">\n                            </div>\n                        </a>\n                    </div>\n                    <div class=\"d-inline-block align-top\">\n                        <a class=\"text-dark fw-bold mb-1 d-block\">").concat(row.doctor.user.full_name, "</a>\n                        <span class=\"d-block\">").concat(row.doctor.user.email, "</span>\n                    </div>");
      },
      name: 'doctor.user.first_name'
    }, {
      data: function data(row) {
        return row;
      },
      render: function render(row) {
        if (row.date === null) {
          return '';
        }

        return "<div class=\"badge badge-light\">\n                                <div class=\"mb-2\">".concat(moment(row.date).utc().format('LT'), "</div>\n                                <div>").concat(moment(row.date).utc().format('Do MMM, Y'), "</div>\n                            </div>");
      },
      name: 'date'
    }, {
      data: 'phone',
      name: 'phone'
    }, {
      data: function data(row) {
        return !isEmpty(row.fee) ? '<p class="cur-margin">' + getCurrentCurrencyClass() + ' ' + addCommas(row.fee) + '</p>' : 'N/A';
      },
      name: 'fee'
    }, {
      data: function data(row) {
        if (row.status == 1) return "<span class=\"badge badge-light-success\">Active</span>";else return "<span class=\"badge badge-light-danger\">Deactive</span>";
      },
      name: 'status'
    }, {
      data: function data(row) {
        var showLink = patientCaseShowUrl + '/' + row.id;
        return '<a title="Show" class="btn action-btn btn-primary btn-sm mr-1" href="' + showLink + '">' + '<i class="fa fa-eye action-icon p-case-list-color"></i>' + '</a>';
      },
      name: 'id'
    }, {
      data: 'patient.user.first_name',
      name: 'patient.user.first_name',
      visible: false
    }, {
      data: 'doctor.user.last_name',
      name: 'doctor.user.last_name',
      visible: false
    }, {
      data: 'created_at',
      name: 'created_at',
      visible: false
    }]
  });
  handleSearchDatatable(tbl);
});
/******/ })()
;