/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!******************************************************************************!*\
  !*** ./resources/assets/js/patient_diagnosis_test/patient_diagnosis_test.js ***!
  \******************************************************************************/


var tableName = '#patientDiagnosisTestTable';
var tbl = $('#patientDiagnosisTestTable').DataTable({
  processing: true,
  serverSide: true,
  searchDelay: 500,
  'language': {
    'lengthMenu': 'Show _MENU_'
  },
  'order': [[6, 'desc']],
  ajax: {
    url: patientDiagnosisTestUrl
  },
  columnDefs: [{
    'targets': [0],
    'width': '12%'
  }, {
    'targets': [5],
    'orderable': false,
    'className': 'text-center text-nowrap',
    'width': '8%'
  }, {
    'targets': [6],
    'visible': false
  }, {
    targets: '_all',
    defaultContent: 'N/A',
    'className': 'text-start align-middle text-nowrap'
  }],
  columns: [{
    data: function data(row) {
      var showLink = patientDiagnosisTestUrl + '/' + row.id;
      return '<a href="' + showLink + '" class="badge badge-light-info">' + row.report_number + '</a>';
    },
    name: 'report_number'
  }, {
    data: function data(row) {
      var showLink = patientUrl + '/' + row.patient.id;
      var patientName;

      if (checkLabTechnicianRole) {
        patientName = "<div class=\"d-flex flex-column\">\n                            <span class=\"mb-1 text-dark fw-bold\">".concat(row.patient.user.full_name, "</span>\n                            <span>").concat(row.patient.user.email, "</span>\n                        </div>");
      } else {
        patientName = "<div class=\"d-flex flex-column\">\n                            <a href=\"".concat(showLink, "\" class=\"mb-1\">").concat(row.patient.user.full_name, "</a>\n                            <span>").concat(row.patient.user.email, "</span>\n                        </div>");
      }

      return "<div class=\"d-flex align-items-center\">\n                        <div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                        <a>\n                            <div>\n                                <img src=\"".concat(row.patientImageUrl, "\" alt=\"\"\n                                     class=\"user-img\">\n                            </div>\n                        </a>\n                        </div>\n                        ").concat(patientName, "       \n                    </div>");
    },
    name: 'patient.user.first_name'
  }, {
    data: function data(row) {
      var showLink;

      if (checkLabTechnicianRole) {
        showLink = doctorUrl + '/' + row.doctor.id;
      } else {
        showLink = doctorUrl + '/' + row.doctor.id;
      }

      return "<div class=\"d-flex align-items-center\">\n                        <div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                        <a href=\"".concat(showLink, "\">\n                            <div>\n                                <img src=\"").concat(row.doctorImageUrl, "\" alt=\"\"\n                                     class=\"user-img\">\n                            </div>\n                        </a>\n                        </div>\n                        <div class=\"d-flex flex-column\">\n                            <a href=\"").concat(showLink, "\" class=\"mb-1\">").concat(row.doctor.user.full_name, "</a>\n                            <span>").concat(row.doctor.user.email, "</span>\n                        </div>             \n                    </div>");
    },
    name: 'doctor.user.first_name'
  }, {
    data: function data(row) {
      var showLink = diagnosisCategoryUrl + '/' + row.category.id;
      return '<a href="' + showLink + '">' + row.category.name + '</a>';
    },
    name: 'category.name'
  }, {
    data: function data(row) {
      return row;
    },
    render: function render(row) {
      if (row.created_at === null) {
        return 'N/A';
      }

      return "<div class=\"badge badge-light\">\n                                <div>".concat(moment(row.created_at).format('Do MMM, Y'), "</div>\n                            </div>");
    },
    name: 'created_at'
  }, {
    data: function data(row) {
      var url = patientDiagnosisTestUrl + '/' + row.id;
      var data = [{
        'id': row.id,
        'url': url + '/edit'
      }];
      return prepareTemplateRender('#patientDiagnosisTestActionTemplate', data);
    },
    name: 'id'
  }, {
    data: 'created_at',
    name: 'created_at'
  }]
});
handleSearchDatatable(tbl);
$(document).on('click', '.delete-btn', function (event) {
  var patientDiagnosisTestId = $(event.currentTarget).data('id');
  deleteItem(patientDiagnosisTestUrl + '/' + patientDiagnosisTestId, '#patientDiagnosisTestTable', 'Patient diagnosis test');
});
/******/ })()
;