/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!****************************************************************************!*\
  !*** ./resources/assets/js/patient_prescriptions/patient_prescriptions.js ***!
  \****************************************************************************/


$(document).ready(function () {
  var tableName = '#prescriptionsTable';
  var tbl = $('#prescriptionsTable').DataTable({
    processing: true,
    serverSide: true,
    searchDelay: 500,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [[0, 'asc']],
    ajax: {
      url: prescriptionUrl,
      data: function data(_data) {
        _data.status = $('#filter_status').find('option:selected').val();
      }
    },
    columnDefs: [{
      'targets': [7],
      'orderable': false,
      'className': 'text-center',
      'width': '10%'
    }, {
      'targets': [8],
      'orderable': false,
      'className': 'text-center text-nowrap',
      'width': '5%'
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        var showLink = patientUrl + '/' + row.patient.id;
        return "<div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                        <a href=\"".concat(showLink, "\">\n                            <div>\n                                <img src=\"").concat(row.patientImageUrl, "\" alt=\"\"\n                                    class=\"user-img\">\n                            </div>\n                        </a>\n                    </div>\n                    <div class=\"d-inline-block align-top\">\n                        <a href=\"").concat(showLink, "\"\n                           class=\"text-primary-800 mb-1 d-block\">").concat(row.patient.user.full_name, "</a>\n                        <span class=\"d-block\">").concat(row.patient.user.email, "</span>\n                    </div>");
      },
      name: 'patient.user.first_name'
    }, {
      data: function data(row) {
        return "<div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                        <a>\n                            <div>\n                                <img src=\"".concat(row.doctorImageUrl, "\" alt=\"\" class=\"user-img\">\n                            </div>\n                        </a>\n                    </div>\n                    <div class=\"d-inline-block align-top\">\n                        <a class=\"text-dark fw-bold mb-1 d-block\">").concat(row.doctor.user.full_name, "</a>\n                        <span class=\"d-block\">").concat(row.doctor.user.email, "</span>\n                    </div>");
      },
      name: 'doctor.user.first_name'
    }, {
      data: function data(row) {
        return isEmpty(row.medical_history) ? 'N/A' : row.medical_history;
      },
      name: 'medical_history'
    }, {
      data: function data(row) {
        return isEmpty(row.current_medication) ? 'N/A' : row.current_medication;
      },
      name: 'current_medication'
    }, {
      data: function data(row) {
        return isEmpty(row.health_insurance) ? 'N/A' : row.health_insurance;
      },
      name: 'health_insurance'
    }, {
      data: function data(row) {
        return isEmpty(row.low_income) ? 'N/A' : row.low_income;
      },
      name: 'low_income'
    }, {
      data: function data(row) {
        return isEmpty(row.reference) ? 'N/A' : row.reference;
      },
      name: 'reference'
    }, {
      data: function data(row) {
        if (row.status == 1) return "<span class=\"badge badge-light-success\">Active</span>";else return "<span class=\"badge badge-light-danger\">Deactive</span>";
      },
      name: 'status'
    }, {
      data: function data(row) {
        var showLink = prescriptionUrl + '/' + row.id;
        var data = [{
          'viewUrl': showLink
        }];
        return prepareTemplateRender('#patientsPrescriptionActionTemplate', data);
      },
      name: 'patient.user.last_name'
    }],
    'fnInitComplete': function fnInitComplete() {
      $('#filter_status').change(function () {
        $(tableName).DataTable().ajax.reload(null, true);
      });
    }
  });
  handleSearchDatatable(tbl);
});
$(document).on('click', '#resetFilter', function () {
  $('#filter_status').val(2).trigger('change');
});
/******/ })()
;