/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!**************************************************!*\
  !*** ./resources/assets/js/patients/patients.js ***!
  \**************************************************/


$(document).ready(function () {
  var tableName = '#patientsTable';
  var tbl = $('#patientsTable').DataTable({
    processing: true,
    serverSide: true,
    searchDelay: 500,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [[5, 'desc']],
    ajax: {
      url: patientUrl,
      data: function data(_data) {
        _data.status = $('#filter_status').find('option:selected').val();
      }
    },
    columnDefs: [{
      'targets': [3],
      'orderable': false
    }, {
      'targets': [4],
      'orderable': false,
      'className': 'text-center text-nowrap',
      'width': '10%'
    }, {
      'targets': [5],
      'visible': false
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        var showLink = patientUrl + '/' + row.id;
        return "<div class=\"d-flex align-items-center\">\n                            <div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                                <a href=\"".concat(showLink, "\">\n                                    <div class=\"\">\n                                        <img src=\"").concat(row.image_url, "\" alt=\"\" class=\"user-img\">\n                                    </div>\n                                </a>\n                           </div>\n                           <div class=\"d-flex flex-column\">\n                                <a href=\"").concat(showLink, "\" class=\"mb-1\">").concat(row.user.full_name, "</a>\n                                <span>").concat(row.user.email, "</span>\n                            </div>\n                         </div>");
      },
      name: 'user.first_name'
    }, {
      data: function data(row) {
        return isEmpty(row.user.phone) ? 'N/A' : row.user.phone;
      },
      name: 'user.phone'
    }, {
      data: function data(row) {
        return isEmpty(row.user.blood_group) ? "N/A" : "<span class=\"badge badge-light-success\">".concat(row.user.blood_group, "</span>");
      },
      name: 'user.blood_group'
    }, {
      data: function data(row) {
        var checked = row.user.status == 0 ? '' : 'checked';
        var data = [{
          'id': row.id,
          'checked': checked
        }];
        return prepareTemplateRender('#patientStatusTemplate', data);
      },
      name: 'user.status'
    }, {
      data: function data(row) {
        var url = patientUrl + '/' + row.id;
        var data = [{
          'id': row.id,
          'url': url + '/edit'
        }];
        return prepareTemplateRender('.pageActionTemplate', data);
      },
      name: 'id'
    }, {
      data: 'created_at',
      name: 'created_at'
    }],
    'fnInitComplete': function fnInitComplete() {
      $('#filter_status').change(function () {
        $(tableName).DataTable().ajax.reload(null, true);
      });
    }
  });
  handleSearchDatatable(tbl);
  $(document).on('click', '.delete-btn', function (event) {
    var patientId = $(event.currentTarget).data('id');
    deleteItem(patientUrl + '/' + patientId, '#patientsTable', 'Patient');
  });
  $(document).on('change', '.status', function (event) {
    var patientId = $(event.currentTarget).data('id');
    updateStatus(patientId);
  });
  $(document).on('click', '#resetFilter', function () {
    $('#filter_status').val(2).trigger('change');
  });

  window.updateStatus = function (id) {
    $.ajax({
      url: patientUrl + '/' + +id + '/active-deactive',
      method: 'post',
      cache: false,
      success: function success(result) {
        if (result.success) {
          displaySuccessMessage(result.message);
          tbl.ajax.reload(null, false);
        }
      }
    });
  };
});
/******/ })()
;