/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!*****************************************************************!*\
  !*** ./resources/assets/js/payment_reports/payments_reports.js ***!
  \*****************************************************************/


$(document).ready(function () {
  var tableName = '#paymentsReportsTbl';
  var tbl = $(tableName).DataTable({
    processing: true,
    serverSide: true,
    searchDelay: 500,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [[5, 'desc']],
    ajax: {
      url: paymentReportUrl,
      data: function data(_data) {
        _data.account_type = $('#filterPaymentAccount').find('option:selected').val();
      }
    },
    columnDefs: [{
      'targets': [4],
      'class': 'text-center'
    }, {
      'targets': [5],
      'visible': false
    }],
    columns: [{
      data: function data(row) {
        return row;
      },
      render: function render(row) {
        if (row.payment_date === null) {
          return 'N/A';
        }

        return "<div class=\"badge badge-light\">\n                                <div>".concat(moment(row.payment_date).format('Do MMM, Y'), "</div>\n                            </div>");
      },
      name: 'payment_date'
    }, {
      data: 'accounts.name',
      name: 'accounts.name'
    }, {
      data: 'pay_to',
      name: 'pay_to'
    }, {
      data: function data(row) {
        if (row.accounts.type == 1) return '<span class="badge badge-light-danger fs-7">Debit</span>';else return '<span class="badge badge-light-success fs-7">Credit</span>';
      },
      name: 'accounts.type'
    }, {
      data: function data(row) {
        return !isEmpty(row.amount) ? '<p class="cur-margin">' + getCurrentCurrencyClass() + ' ' + addCommas(row.amount) + '</p>' : 'N/A';
      },
      name: 'amount'
    }, {
      data: 'created_at',
      name: 'created_at'
    }],
    'fnInitComplete': function fnInitComplete() {
      $('#filterPaymentAccount').change(function () {
        $(tableName).DataTable().ajax.reload(null, true);
      });
    }
  });
  handleSearchDatatable(tbl);
});
$(document).ready(function () {
  $('#filterPaymentAccount').select2({
    width: '100%'
  });
  $(document).on('click', '#resetFilter', function () {
    $('#filterPaymentAccount').val(0).trigger('change');
  });
});
/******/ })()
;