/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!****************************************************!*\
  !*** ./resources/assets/js/schedules/schedules.js ***!
  \****************************************************/


var tableName = '#schedulesTbl';
$(document).ready(function () {
  var tbl = $('#schedulesTbl').DataTable({
    searchDelay: 500,
    processing: true,
    serverSide: true,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [[3, 'desc']],
    ajax: {
      url: scheduleUrl
    },
    columnDefs: [{
      'targets': [2],
      'orderable': false,
      'className': 'text-center text-nowrap',
      'width': '15%'
    }, {
      'targets': [3],
      'visible': false
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        var showLink = doctorUrl + '/' + row.doctor.id;
        return "<div class=\"d-flex align-items-center\">\n                        <div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                        <a href=\"".concat(showLink, "\">\n                            <div>\n                                <img src=\"").concat(row.image_url, "\" alt=\"\"\n                                     class=\"user-img\">\n                            </div>\n                        </a>\n                        </div>\n                        <div class=\"d-flex flex-column\">\n                            <a href=\"").concat(showLink, "\"\n                               class=\"mb-1\">").concat(row.doctor.user.full_name, "</a>\n                            <span>").concat(row.doctor.user.email, "</span>\n                        </div>\n                    </div>");
      },
      name: 'doctor.user.first_name'
    }, {
      data: function data(row) {
        return row;
      },
      render: function render(row) {
        var time = moment(row.per_patient_time, 'HH:mm:ss').format('HH:mm');

        if (time > moment('00:59:00', 'HH:mm:ss').format('HH:mm')) {
          return time + ' hours';
        }

        return moment(row.per_patient_time, 'HH:mm:ss').format('m') + ' minutes';
      },
      name: 'per_patient_time'
    }, {
      data: function data(row) {
        var url = scheduleUrl + '/' + row.id;
        var data = [{
          'id': row.id,
          'url': url + '/edit',
          'viewUrl': url
        }];
        return prepareTemplateRender('#scheduleActionTemplate', data);
      },
      name: 'doctor.user.last_name'
    }, {
      data: 'created_at',
      name: 'created_at'
    }]
  });
  handleSearchDatatable(tbl);
});
$(document).on('click', '.delete-btn', function (event) {
  var scheduleId = $(event.currentTarget).data('id');
  deleteItem(scheduleUrl + '/' + scheduleId, '#schedulesTbl', 'Schedule');
});
/******/ })()
;