/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!**************************************************************!*\
  !*** ./resources/assets/js/super_admin/users/transaction.js ***!
  \**************************************************************/


$(document).ready(function () {
  var tbl = '#hospitalTransaction';
  var table = $(tbl).DataTable({
    searchDelay: 500,
    processing: true,
    serverSide: true,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [[2, 'desc']],
    ajax: {
      url: transactionUrl,
      data: function data(_data) {
        _data.id = $('#hospitalBillingId').val();
        _data.payment_type = $('#paymentType').find('option:selected').val();
      }
    },
    columnDefs: [{
      'targets': [0, 1],
      'className': 'text-center align-middle text-nowrap',
      'orderable': true
    }, {
      'targets': [2],
      'className': 'text-center align-middle text-nowrap',
      'orderable': true
    }, {
      'targets': [3],
      'className': 'text-center align-middle text-nowrap',
      'orderable': false
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        return "<a data-id=\"".concat(row.payment_type, "\" class=\"badge badge-light-primary\">").concat(row.payment_type == 1 ? stripe : paypal, "</a>");
      },
      name: 'payment_type'
    }, {
      data: function data(row) {
        return '<p class="mb-0">' + row.plan_currency_symbol + ' ' + addCommas(row.amount) + '</p>';
      },
      name: 'amount'
    }, {
      data: function data(row) {
        return "<div class=\"badge badge-light\">\n                                <div class=\"mb-2\">".concat(moment(row.created_at).format('LT'), "</div>\n                                <div>").concat(moment(row.created_at).format('Do MMM, Y'), "</div>\n                            </div>");
      },
      name: 'created_at'
    }, {
      data: function data(row) {
        if (row.status == 1) {
          return "<span class=\"badge badge-light-success\">".concat(paid, "</span>");
        }
      },
      name: 'status'
    }],
    'fnInitComplete': function fnInitComplete() {
      $(document).on('change', '#paymentType', function () {
        $(tbl).DataTable().ajax.reload(null, true);
      });
    }
  }); // handleSearchDatatable(table);

  searchDataTable(table, '#search-table-transction');
});

function searchDataTable(table, selector) {
  var filterSearch = document.querySelector(selector);
  filterSearch.addEventListener('keyup', function (e) {
    table.search(e.target.value).draw();
  });
}

$(document).on('click', '#resetFilter', function () {
  $('#paymentType').val('').trigger('change');
});
/******/ })()
;