/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!*************************************************************************!*\
  !*** ./resources/assets/js/super_admin/users/hospitals_data_listing.js ***!
  \*************************************************************************/


$(document).ready(function () {
  var tbl = '#hospitalUser';
  var table = $(tbl).DataTable({
    searchDelay: 500,
    processing: true,
    serverSide: true,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [[5, 'desc']],
    ajax: {
      url: showUrl,
      data: function data(_data) {
        _data.department_id = $('#roleArr').find('option:selected').val();
        _data.status = $('#statusArr').find('option:selected').val();
        _data.id = $('#hospitalId').val();
      }
    },
    columnDefs: [{
      'targets': [2],
      'orderable': true
    }, {
      'targets': [3],
      'orderable': true
    }, {
      'targets': [4],
      'orderable': false
    }, {
      'targets': [5]
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        return "<div class=\"d-flex align-items-center\">\n                                <div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                                    <a href=\"#\" data-id=\"".concat(row.id, "\" class=\"show-btn\">\n                                        <div>\n                                            <img src=\"").concat(row.image_url, "\" alt=\"\"\n                                                 class=\"user-img\">\n                                        </div>\n                                    </a>\n                                </div>\n                            <div class=\"d-flex flex-column\">\n                                <span class=\"mb-1 show-btn\" data-id=\"").concat(row.id, "\">").concat(row.full_name, "</span>\n                            </div>\n                    </div>");
      },
      name: 'first_name'
    }, {
      data: function data(row) {
        return "<span class=\"badge badge-light-info fs-6\">".concat(row.roles[0].name, "</span>");
      },
      name: 'last_name'
    }, {
      data: 'email',
      name: 'email'
    }, {
      data: 'phone',
      name: 'phone'
    }, {
      data: function data(row) {
        return "<span class=\"badge badge-light-".concat(row.status == 1 ? 'success' : 'danger', "\">").concat(row.status == 1 ? 'Active' : 'Deactive', "</span>");
      },
      name: 'status'
    }, {
      data: function data(row) {
        return "<div class=\"badge badge-light\">\n                                <div class=\"mb-2\">".concat(moment(row.created_at).format('LT'), "</div>\n                                <div>").concat(moment(row.created_at).format('Do MMM, Y'), "</div>\n                            </div>");
      },
      name: 'created_at'
    }, {
      data: function data(row) {
        if (row.status === 1) {
          return "<a href=\"javascript:void(0)\" data-id=\"".concat(row.id, "\" class=\"btn btn-primary btn-sm user-impersonate\">\n                               Impersonate\n                            </a>");
        } else {
          return '<span class="text text-center">N/A</span>';
        }
      },
      name: 'id'
    }],
    'fnInitComplete': function fnInitComplete() {
      $(document).on('change', '#roleArr, #statusArr', function () {
        $(tbl).DataTable().ajax.reload(null, true);
      });
    }
  });
  handleSearchDatatable(table);
});
$(document).on('click', '#resetFilter', function () {
  $('#roleArr, #statusArr').val('').trigger('change');
});
$(document).on('contextmenu', '.user-impersonate', function (e) {
  e.preventDefault(); // Stop right click on link

  return false;
});
var control = false;
$(document).on('keyup keydown', function (e) {
  control = e.ctrlKey;
});
$(document).on('click', '.user-impersonate', function () {
  if (control) {
    return false; // Stop ctrl + click on link
  }

  var id = $(this).data('id');
  var element = document.createElement('a');
  element.setAttribute('href', userUrl + '/' + id + '/login');
  document.body.appendChild(element);
  element.click();
  document.body.removeChild(element);
  $('.user-impersonate').prop('disabled', true);
});
/******/ })()
;