/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!**********************************************************!*\
  !*** ./resources/assets/js/super_admin/users/billing.js ***!
  \**********************************************************/


$(document).ready(function () {
  var tbl = '#hospitalBilling';
  var table = $(tbl).DataTable({
    searchDelay: 500,
    processing: true,
    serverSide: true,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [[4, 'desc']],
    ajax: {
      url: billingUrl,
      data: function data(_data) {
        _data.id = $('#hospitalBillingId').val();
        _data.status = $('#billingStatusArr').find('option:selected').val();
        _data.payment_type = $('#billingPaymentType').val();
      }
    },
    columnDefs: [{
      'targets': [1],
      'className': 'text-center align-middle text-nowrap',
      'orderable': false
    }, {
      'targets': [2],
      'orderable': true
    }, {
      'targets': [3],
      'orderable': true
    }, {
      'targets': [4],
      'orderable': true
    }, {
      'targets': [5]
    }, {
      'targets': [6],
      'className': 'text-center align-middle text-nowrap'
    }, {
      'targets': [7],
      'orderable': false,
      'className': 'text-center align-middle text-nowrap'
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        return row.subscription_plan.name;
      },
      name: 'subscriptionPlan.name'
    }, {
      data: function data(row) {
        if (row.transaction_id) {
          return "<a data-id=\"".concat(row.transaction_id, "\" class=\"badge badge-light-primary billing-modal cursor-pointer\">").concat(row.transactions.payment_type == 1 ? stripe : paypal, "</a>");
        } else {
          return 'N/A';
        }
      },
      name: 'transactions.payment_type'
    }, {
      data: function data(row) {
        return '<p class="mb-0">' + row.plan_currency_symbol + ' ' + addCommas(row.plan_amount) + '</p>';
      },
      name: 'plan_amount'
    }, {
      data: function data(row) {
        return "<span className=\"text-center\">".concat(row.plan_frequency == 1 ? month : year, "</span>");
      },
      name: 'plan_frequency'
    }, {
      data: function data(row) {
        return "<div class=\"badge badge-light\">\n                                <div class=\"mb-2\">".concat(moment(row.starts_at).format('LT'), "</div>\n                                <div>").concat(moment(row.starts_at).format('Do MMM, Y'), "</div>\n                            </div>");
      },
      name: 'starts_at'
    }, {
      data: function data(row) {
        return "<div class=\"badge badge-light\">\n                                <div class=\"mb-2\">".concat(moment(row.ends_at).format('LT'), "</div>\n                                <div>").concat(moment(row.ends_at).format('Do MMM, Y'), "</div>\n                            </div>");
      },
      name: 'ends_at'
    }, {
      data: function data(row) {
        if (row.trial_ends_at) {
          return "<div class=\"badge badge-light\">\n                                <div class=\"mb-2\">".concat(moment(row.trial_ends_at).format('LT'), "</div>\n                                <div>").concat(moment(row.trial_ends_at).format('Do MMM, Y'), "</div>\n                            </div>");
        } else {
          return 'N/A';
        }
      },
      name: 'trial_ends_at'
    }, {
      data: function data(row) {
        return "<span class=\"badge badge-light-".concat(row.status == 1 ? 'success' : 'danger', "\">").concat(row.status == 1 ? active : deactive, "</span>");
      },
      name: 'status'
    }],
    'fnInitComplete': function fnInitComplete() {
      $(document).on('change', '#billingStatusArr, #billingPaymentType', function () {
        $(tbl).DataTable().ajax.reload(null, true);
      });
    }
  }); // handleSearchDatatable(table);

  searchDataTable(table, '#search-table-billing');
});

function searchDataTable(table, selector) {
  var filterSearch = document.querySelector(selector);
  filterSearch.addEventListener('keyup', function (e) {
    table.search(e.target.value).draw();
  });
}

$(document).on('click', '.billing-modal', function (event) {
  var userId = $(event.currentTarget).attr('data-id');
  renderData(userId);
});
$(document).on('click', '#resetFilter', function () {
  $('#billingStatusArr, #billingPaymentType').val('').trigger('change');
});

window.renderData = function (id) {
  $.ajax({
    url: route('super.admin.hospital.billing.modal', id),
    type: 'GET',
    success: function success(result) {
      if (result.success) {
        $('#plan_name').text(result.data[0].subscription_plan.name);
        $('#transaction').empty();

        if (result.data[0].transactions.payment_type == 1) {
          $('#transaction').append("<span class=\"badge badge-light-primary\">".concat(stripe, "</span>"));
        } else {
          $('#transaction').append("<span class=\"badge badge-light-primary\">".concat(paypal, "</span>"));
        }

        $('#amount').text(result.data[0].plan_amount);
        $('#frequency').text(result.data[0].plan_frequency == 1 ? month : year);
        $('#start_date').text(moment(result.data[0].starts_at).format('Do MMM, Y'));
        $('#end_date').text(moment(result.data[0].ends_at).format('Do MMM, Y'));

        if (result.data[0].trial_ends_at) {
          $('#trail_end_date').text(moment(result.data[0].trial_ends_at).format('Do MMM, Y'));
        } else {
          $('#trail_end_date').text('N/A');
        }

        $('#status').empty();

        if (result.data[0].status == 1) {
          $('#status').append("<span class=\"badge badge-light-success\">".concat(active, "</span>"));
        } else {
          $('#status').append("<span class=\"badge badge-light-danger\">".concat(deactive, "</span>"));
        }

        setValueOfEmptySpan();
        $('#showBillingModal').appendTo('body').modal('show');
      }
    },
    error: function error(result) {
      displayErrorMessage(result.responseJSON.message);
    }
  });
};
/******/ })()
;