/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!*******************************************************!*\
  !*** ./resources/assets/js/super_admin/users/user.js ***!
  \*******************************************************/


$(document).ready(function () {
  var tableName = '#superAdminUsersTable';
  var tbl = $(tableName).DataTable({
    searchDelay: 500,
    processing: true,
    serverSide: true,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [[2, 'desc']],
    ajax: {
      url: userUrl,
      data: function data(_data) {
        _data.status = $('#statusArr').find('option:selected').val();
      }
    },
    columnDefs: [{
      'targets': [1],
      'className': 'text-center align-middle text-nowrap'
    }, {
      'targets': [2],
      'className': 'text-center align-middle text-nowrap'
    }, {
      'targets': [3],
      'width': 10,
      'orderable': false,
      'searchable': false
    }, {
      'targets': [4],
      'className': 'text-center align-middle text-nowrap',
      'width': 10,
      'orderable': false,
      'searchable': false
    }, {
      'targets': [5],
      'className': 'text-center align-middle text-nowrap',
      'orderable': false
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        return "<div class=\"d-flex align-items-center\">\n                                <div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                                    <a href=\"#\" data-id=\"".concat(row.id, "\" class=\"show-btn\">\n                                        <div>\n                                            <img src=\"").concat(row.image_url, "\" alt=\"\"\n                                                 class=\"user-img\">\n                                        </div>\n                                    </a>\n                                </div>\n                            <div class=\"d-flex flex-column\">\n                                <a href=\"").concat(showUrl + '/' + row.id, "\" class=\"mb-1 show-btn\" data-id=\"").concat(row.id, "\">").concat(row.full_name, "</a>\n                                <span>").concat(row.email, "</span>\n                            </div>\n                    </div>");
      },
      name: 'first_name'
    }, {
      data: function data(row) {
        if (row.status == 1) {
          return "<a href=\"".concat(route('front', row.username), "\" class=\"show-btn text-blue\" target=\"_blank\">").concat(row.username, "<span class=\"ms-2\"><i class=\"fas fa-external-link-alt url-external-link\"></i></span></a>");
        } else {
          return row.username;
        }
      },
      name: 'username'
    }, {
      data: function data(row) {
        return "<div className=\"badge badge-light\">\n                            <div className=\"mb-2\">".concat(moment(row.created_at).format('LT'), "</div>\n                            <div>").concat(moment(row.created_at).format('Do MMM, Y'), "</div>\n                            </div>");
      },
      name: 'created_at'
    }, {
      data: function data(row) {
        if (row.department) {
          var checked = row.status == 0 ? '' : 'checked';
          var data = [{
            'id': row.id,
            'checked': checked
          }];
          return prepareTemplateRender('#userStatusTemplate', data);
        }
      },
      name: 'status'
    }, {
      data: function data(row) {
        var checked = row.email_verified_at == null ? '' : 'checked disabled';

        if (row.department) {
          return "<label class=\"form-check form-switch form-check-custom form-check-solid form-switch-sm justify-content-center\">\n                                 <input name=\"status\" data-id=\"".concat(row.id, "\" class=\"form-check-input is-verified\" type=\"checkbox\" value=\"1\" ").concat(checked, ">\n                                  <span class=\"switch-slider\" data-checked=\"&#x2713;\" data-unchecked=\"&#x2715;\"></span>\n                            </label>");
        }
      },
      name: 'email_verified_at'
    }, {
      data: function data(row) {
        var url = hospitalUrl + '/' + row.id;
        var data = [{
          'id': row.id,
          'url': url + '/edit'
        }];
        return prepareTemplateRender('#hospitalTemplate', data);
      },
      name: 'id'
    }],
    'fnInitComplete': function fnInitComplete() {
      $(document).on('change', '#statusArr', function () {
        $('#superAdminUsersTable').DataTable().ajax.reload(null, true);
      });
    }
  });
  handleSearchDatatable(tbl);
}); // $(document).on('click', '.show-btn', function (event) {
//     let userId = $(event.currentTarget).attr('data-id');
//     renderData(userId);
// });

$(document).on('click', '#resetFilter', function () {
  $('#statusArr').val('').trigger('change');
}); // window.renderData = function (id) {
//     $.ajax({
//         url: route('super.admin.users.show.modal', id),
//         type: 'GET',
//         success: function (result) {
//             if (result.success) {
//                 $('#first_name').text(result.data.first_name);
//                 $('#last_name').text(result.data.last_name);
//                 $('#username').text(result.data.username);
//                 $('#userEmail').text(result.data.email);
//                 $('#role').text(result.data.roles[0].name);
//                 $('#userPhone').text(result.data.phone ?? 'N/A');
//                 $('#userGender').text(result.data.gender_string);
//                 $('#userDob').text('');
//                 if (result.data.dob != null) $('#userDob').
//                     text(moment(result.data.dob).format('Mo MMM, YYYY'));
//                 $('#userStatus').empty();
//                 if (result.data.status == 1) {
//                     $('#userStatus').
//                         append(
//                             '<span class="badge badge-light-success">Active</span>');
//                 } else {
//                     $('#userStatus').
//                         append(
//                             '<span class="badge badge-light-danger">Deactive</span>');
//                 }
//                 $('#created_on').text(moment(result.data.created_at).fromNow());
//                 $('#updated_on').text(moment(result.data.updated_at).fromNow());
//                 $('#userProfilePicture').attr('src', result.data.image_url);
//
//                 setValueOfEmptySpan();
//                 $('#showUser').appendTo('body').modal('show');
//             }
//         },
//         error: function (result) {
//             displayErrorMessage(result.responseJSON.message);
//         },
//     });
// };

$(document).on('change', '.status', function (event) {
  var userId = $(event.currentTarget).data('id');
  updateStatus(userId);
});

window.updateStatus = function (id) {
  $.ajax({
    url: userUrl + '/' + id + '/active-deactive',
    method: 'post',
    cache: false,
    success: function success(result) {
      if (result.success) {
        displaySuccessMessage(result.message);
        $('#superAdminUsersTable').DataTable().ajax.reload(null, false);
      }
    }
  });
};

$(document).on('change', '.is-verified', function (event) {
  var userId = $(event.currentTarget).data('id');
  $.ajax({
    url: userUrl + '/' + userId + '/is-verified',
    method: 'post',
    cache: false,
    success: function success(result) {
      if (result.success) {
        displaySuccessMessage(result.message);
        $('#superAdminUsersTable').DataTable().ajax.reload(null, false);
      }
    }
  });
});
$(document).on('click', '.delete-btn', function (event) {
  var userId = $(event.currentTarget).data('id');
  deleteItem(hospitalUrl + '/' + userId, '#superAdminUsersTable', 'Hospital');
});
/******/ })()
;