/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!************************************************************************!*\
  !*** ./resources/assets/js/super_admin_enquiry/super_admin_enquiry.js ***!
  \************************************************************************/


$(document).ready(function () {
  $('#type,#filter_status').select2({
    width: '100%'
  });
  var tableName = '#superAdminEnquiriesTable';
  var tbl = $('#superAdminEnquiriesTable').DataTable({
    processing: true,
    serverSide: true,
    searchDelay: 500,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    ajax: {
      url: route('super.admin.enquiry.index'),
      data: function data(_data) {
        _data.status = $('#filter_status').find('option:selected').val();
      }
    },
    columnDefs: [{
      'targets': [0],
      'width': '20%'
    }, {
      'targets': [3],
      'orderable': false,
      'width': '8%'
    }, {
      'targets': [2],
      'width': '8%'
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        return "<div class=\"d-flex flex-column\">\n                                <span class=\"mb-1 text-black\">".concat(row.full_name, "</span>\n                            </div>");
      },
      name: 'first_name'
    }, {
      data: function data(row) {
        var messageLength = row.message;

        if (row.message.length >= 55) {
          return messageLength.substring(0, 55) + '...';
        }

        return row.message;
      },
      name: 'message'
    }, {
      data: function data(row) {
        if (row.status) {
          return "<div class=\"badge badge-light-success\">Read</div>";
        } else {
          return "<div class=\"badge badge-light-danger\">Unread</div>";
        }
      },
      name: 'status'
    }, {
      data: function data(row) {
        var data = [{
          'id': row.id,
          'showUrl': route('super.admin.enquiry.show', row.id)
        }];
        return prepareTemplateRender('#SuperAdminEnquiryActionTemplate', data);
      },
      name: 'id'
    }],
    'fnInitComplete': function fnInitComplete() {
      $(document).on('change', '#filter_status', function () {
        $(tableName).DataTable().ajax.reload(null, true);
      });
    }
  });
  handleSearchDatatable(tbl);
});
$(document).on('click', '#resetFilter', function () {
  $('#filter_status').val(2).trigger('change');
});
$(document).on('click', '.delete-btn', function (e) {
  var id = $(e.currentTarget).data('id');
  deleteItem(enquiryUrl + '/' + id, '#superAdminEnquiriesTable', 'Enquiry');
});
/******/ })()
;