/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!************************************************************************!*\
  !*** ./resources/assets/js/vaccinated_patients/vaccinated_patients.js ***!
  \************************************************************************/


$(document).ready(function () {
  var tbl = $('#vaccinatedPatientTable').DataTable({
    processing: true,
    serverSide: true,
    searchDelay: 500,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [6, 'desc'],
    ajax: {
      url: vaccinatedPatientUrl
    },
    columnDefs: [{
      'targets': [5],
      'className': 'text-center text-nowrap',
      'orderable': false,
      'width': '10%'
    }, {
      'targets': [4],
      'className': 'text-center',
      'width': '18%'
    }, {
      'targets': [3],
      'className': 'text-center',
      'width': '10%'
    }, {
      'targets': [6],
      'visible': false
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        var showLink = patientUrl + '/' + row.patient.id;
        return "<div class=\"d-flex align-items-center\">\n                        <div class=\"symbol symbol-circle symbol-50px overflow-hidden me-3\">\n                        <a href=\"".concat(showLink, "\">\n                            <div>\n                                <img src=\"").concat(row.image_url, "\" alt=\"\"\n                                     class=\"user-img\">\n                            </div>\n                        </a>\n                        </div>\n                        <div class=\"d-flex flex-column\">\n                            <a href=\"").concat(showLink, "\"\n                               class=\"mb-1\">").concat(row.patient.user.full_name, "</a>\n                            <span>").concat(row.patient.user.email, "</span>\n                        </div>\n                    </div>");
      },
      name: 'patient.user.first_name'
    }, {
      data: 'vaccination.name',
      name: 'vaccination.name'
    }, {
      data: function data(row) {
        var _row$vaccination_seri;

        return "<span class=\"badge badge-light-warning fs-7\">".concat((_row$vaccination_seri = row.vaccination_serial_number) !== null && _row$vaccination_seri !== void 0 ? _row$vaccination_seri : 'N/A', "</span>");
      },
      name: 'vaccination_serial_number'
    }, {
      data: function data(row) {
        return "<span class=\"badge badge-light-info fs-7\">".concat(row.dose_number, "</span>");
      },
      name: 'dose_number'
    }, {
      data: function data(row) {
        return row;
      },
      render: function render(row) {
        if (row.dose_given_date === null) {
          return 'N/A';
        }

        return "<div class=\"badge badge-light\">\n                                <div class=\"mb-2\">".concat(moment(row.dose_given_date).utc().format('LT'), "</div>\n                                <div>").concat(moment(row.dose_given_date).utc().format('Do MMM, Y'), "</div>\n                            </div>");
      },
      name: 'dose_given_date'
    }, {
      data: function data(row) {
        var data = [{
          'id': row.id
        }];
        return prepareTemplateRender('.modalActionTemplate', data);
      },
      name: 'patient.user.last_name'
    }, {
      data: 'created_at',
      name: 'created_at'
    }]
  });
  handleSearchDatatable(tbl);
});
$(document).ready(function () {
  $('#patientName,#vaccinationName').select2({
    width: '100%',
    dropdownParent: $('#addModal')
  });
  $('#editPatientName,#editVaccinationName').select2({
    width: '100%',
    dropdownParent: $('#editModal')
  });
  var doesDatePicker = $('#doesGivenDate').flatpickr({
    enableTime: true,
    defaultDate: new Date(),
    dateFormat: 'Y-m-d H:i'
  });
  var editDoesDatePicker = $('#editDoesGivenDate').flatpickr({
    enableTime: true,
    dateFormat: 'Y-m-d H:i'
  });
  $('#addModal').on('shown.bs.modal', function () {
    doesDatePicker.set('minDate', new Date());
    $('#doesGivenDate').val(moment().format('YYYY-MM-DD HH:mm'));
  });
  $(document).on('submit', '#addNewForm', function (event) {
    event.preventDefault();
    var loadingButton = jQuery(this).find('#btnSave');
    loadingButton.button('loading');
    $.ajax({
      url: vaccinatedPatientCreateUrl,
      type: 'POST',
      data: $(this).serialize(),
      success: function success(result) {
        if (result.success) {
          displaySuccessMessage(result.message);
          $('#addModal').modal('hide');
          $('#vaccinatedPatientTable').DataTable().ajax.reload(null, false);
          setTimeout(function () {
            loadingButton.button('reset');
          }, 2500);
        }
      },
      error: function error(result) {
        printErrorMessage('#validationErrorsBox', result);
        setTimeout(function () {
          loadingButton.button('reset');
        }, 2000);
      }
    });
  });
  $('#addModal').on('hidden.bs.modal', function () {
    $('#patientName').val('').trigger('change');
    $('#vaccinationName').val('').trigger('change');
    resetModalForm('#addNewForm', '#validationErrorsBox');
  });
  $(document).on('click', '.edit-btn', function (event) {
    if (ajaxCallIsRunning) {
      return;
    }

    ajaxCallInProgress();
    var vaccinatedPatientId = $(event.currentTarget).attr('data-id');
    renderData(vaccinatedPatientId);
  });

  window.renderData = function (id) {
    $.ajax({
      url: vaccinatedPatientUrl + '/' + id + '/edit',
      type: 'GET',
      success: function success(result) {
        if (result.success) {
          var vaccinatedPatient = result.data;
          $('#vaccinatedPatientId').val(vaccinatedPatient.id);
          $('#editPatientName').val(vaccinatedPatient.patient_id).trigger('change.select2');
          $('#editVaccinationName').val(vaccinatedPatient.vaccination_id).trigger('change.select2');
          $('#editSerialNo').val(vaccinatedPatient.vaccination_serial_number);
          $('#editDoseNumber').val(vaccinatedPatient.dose_number); // $('#editDoesGivenDate').
          //     val(moment(vaccinatedPatient.dose_given_date).
          //         utc().
          //         format('YYYY-MM-DD HH:mm:ss'));

          document.querySelector('#editDoesGivenDate')._flatpickr.setDate(moment(vaccinatedPatient.dose_given_date).format());

          $('#editDescription').val(vaccinatedPatient.description);
          $('#editModal').modal('show');
          ajaxCallCompleted();
          editDoesDatePicker.set('minDate', $('#editDoesGivenDate').val());
        }
      },
      error: function error(result) {
        manageAjaxErrors(result);
      }
    });
  };

  $(document).on('submit', '#editForm', function (event) {
    event.preventDefault();
    var loadingButton = jQuery(this).find('#editBtnSave');
    loadingButton.button('loading');
    var id = $('#vaccinatedPatientId').val();
    $.ajax({
      url: vaccinatedPatientUrl + '/' + id + '/update',
      type: 'post',
      data: $(this).serialize(),
      success: function success(result) {
        if (result.success) {
          displaySuccessMessage(result.message);
          $('#editModal').modal('hide');
          $('#vaccinatedPatientTable').DataTable().ajax.reload(null, false);
        }
      },
      error: function error(result) {
        manageAjaxErrors(result);
      },
      complete: function complete() {
        loadingButton.button('reset');
      }
    });
  });
  $(document).on('click', '.delete-btn', function (event) {
    var vaccinatedPatientId = $(event.currentTarget).data('id');
    deleteItem(vaccinatedPatientUrl + '/' + vaccinatedPatientId, '#vaccinatedPatientTable', 'Vaccinated Patient');
  });
});
/******/ })()
;