/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
/*!*************************************************!*\
  !*** ./resources/assets/js/visitors/visitor.js ***!
  \*************************************************/


$(document).ready(function () {
  var tableName = '#visitorTbl';
  var tbl = $('#visitorTbl').DataTable({
    processing: true,
    serverSide: true,
    searchDelay: 500,
    'language': {
      'lengthMenu': 'Show _MENU_'
    },
    'order': [10, 'desc'],
    ajax: {
      url: visitorUrl,
      data: function data(_data) {
        _data.purpose = $('#purposeArr').find('option:selected').val();
      }
    },
    columnDefs: [{
      'targets': [9],
      'orderable': false,
      'className': 'text-center text-nowrap',
      'width': '8%'
    }, {
      'targets': [8],
      'orderable': false
    }, {
      'targets': [10],
      'visible': false
    }, {
      targets: '_all',
      defaultContent: 'N/A',
      'className': 'text-start align-middle text-nowrap'
    }],
    columns: [{
      data: function data(row) {
        if (row.purpose == 1) {
          return 'Visit';
        } else if (row.purpose == 2) {
          return 'Enquiry';
        } else {
          return 'Seminar';
        }
      },
      name: 'purpose'
    }, {
      data: 'name',
      name: 'name'
    }, {
      data: function data(row) {
        return isEmpty(row.phone) ? 'N/A' : row.phone;
      },
      name: 'phone'
    }, {
      data: function data(row) {
        return isEmpty(row.id_card) ? 'N/A' : row.id_card;
      },
      name: 'id_card'
    }, {
      data: function data(row) {
        return isEmpty(row.no_of_person) ? 'N/A' : row.no_of_person;
      },
      name: 'no_of_person'
    }, {
      data: function data(row) {
        if (row.date === null) {
          return 'N/A';
        }

        return "<div class=\"badge badge-light\">\n                                <div>".concat(moment(row.date).format('Do MMM, Y'), "</div>\n                            </div>");
      },
      name: 'date'
    }, {
      data: function data(row) {
        return isEmpty(row.in_time) ? 'N/A' : row.in_time;
      },
      name: 'in_time'
    }, {
      data: function data(row) {
        return isEmpty(row.out_time) ? 'N/A' : row.out_time;
      },
      name: 'out_time'
    }, {
      data: function data(row) {
        if (row.document_url != '') {
          var downloadLink = downloadDocumentUrl + '/' + row.id;
          return '<a href="' + downloadLink + '">' + 'Download' + '</a>';
        }

        return 'N/A';
      },
      name: 'id'
    }, {
      data: function data(row) {
        var url = visitorUrl + row.id;
        var data = [{
          'id': row.id,
          'url': url + '/edit'
        }];
        return prepareTemplateRender('.pageActionTemplate', data);
      },
      name: 'id'
    }, {
      data: 'created_at',
      name: 'created_at'
    }],
    'fnInitComplete': function fnInitComplete() {
      $('#purposeArr').change(function () {
        $(tableName).DataTable().ajax.reload(null, true);
      });
    }
  });
  handleSearchDatatable(tbl);
});
$(document).on('click', '.delete-btn', function (event) {
  var visitorId = $(event.currentTarget).data('id');
  deleteItem(visitorUrl + visitorId, '#visitorTbl', 'Visitor');
});
$(document).ready(function () {
  $('#purposeArr').select2({
    width: '100%'
  });
});
$(document).on('click', '#resetFilter', function () {
  $('#purposeArr').val(2).trigger('change');
});
/******/ })()
;